commit dee9b00521e3ea5bd5b3a62de714595346308fe9
Author: raveit65 <mate@raveit.de>
Date:   Sun Mar 12 21:40:03 2017 +0100

    release 1.18.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eb928b05e1178092a21e040b9bf57a8567febf30
Author: raveit65 <mate@raveit.de>
Date:   Sun Mar 12 21:39:29 2017 +0100

    sync with transifex

 po/am.po    | 96 ++++++++++++++++++++++++++++++-------------------------------
 po/ca.po    |  6 ++--
 po/el.po    | 23 ++++++++-------
 po/it.po    |  2 +-
 po/ja.po    | 13 +++++----
 po/nb.po    | 42 +++++++++++++--------------
 po/pl.po    |  4 ++-
 po/pt_BR.po |  7 +++--
 po/uk.po    |  6 ++--
 9 files changed, 102 insertions(+), 97 deletions(-)

commit 645388317e5488f9fdfc9a1a4f7550f90acb0162
Author: monsta <monsta@inbox.ru>
Date:   Sun Mar 12 23:32:46 2017 +0300

    update NEWS for 1.18, also add 1.16.1 entries

 NEWS | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit 5cde73b3e0be8c5060157dddb60a1210bbc9d3ac
Author: monsta <monsta@inbox.ru>
Date:   Sun Mar 5 14:22:09 2017 +0300

    pre-bump version

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 9923739fe6f161a05078340593bf6a91db13d9be
Author: Sander Sweers <infirit@gmail.com>
Date:   Sun Apr 17 15:04:08 2016 +0200

    Replace deprecated upower functions with ConsoleKit2 equivalents
    
    This requires ConsoleKit2 version 0.9.2.
    
    + corrections for issues mentioned at https://github.com/mate-desktop/mate-session-manager/pull/133

 Makefile.am                      |   2 -
 configure.ac                     |  28 ---------
 mate-session/Makefile.am         |   2 -
 mate-session/gsm-consolekit.c    | 133 +++++++++++++++++++++++++++++++++++++++
 mate-session/gsm-consolekit.h    |   8 +++
 mate-session/gsm-logout-dialog.c |  28 +--------
 mate-session/gsm-manager.c       |  71 +++++----------------
 7 files changed, 159 insertions(+), 113 deletions(-)

commit 54d119718d8c2c109e089669aacdb66ffeb38a3e
Author: monsta <monsta@inbox.ru>
Date:   Sun Mar 5 13:28:42 2017 +0300

    fix indent a bit

 mate-session/gsm-consolekit.c    | 142 +++++++++++++++++++--------------------
 mate-session/gsm-logout-dialog.c |   8 +--
 mate-session/gsm-manager.c       |   8 +--
 3 files changed, 79 insertions(+), 79 deletions(-)

commit 7aa5d913573af7fbca7b240499ee0021656fccc3
Author: monsta <monsta@inbox.ru>
Date:   Mon Feb 27 17:26:25 2017 +0300

    fix indent of some #if's to match the rest of the file

 mate-session/gsm-manager.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 681230883ede0b8dd80340dae37e656cea786608
Author: Martin Wimpress <martin@mate-desktop.org>
Date:   Wed Jan 18 17:57:18 2017 +0000

    Bump version to 1.17.1

 NEWS         | 6 +++++-
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 2ce345fc5a2702e83a6d91035eb86426539c3a38
Merge: 343219f 3e8cab3
Author: Martin Wimpress <code@flexion.org>
Date:   Wed Jan 18 16:31:24 2017 +0000

    Merge pull request #132 from mate-desktop/dont-listen
    
    build: check stricter for presence of xtrans

commit 3e8cab348e37b9879fa558e56e05069987c6c65a
Author: monsta <monsta@inbox.ru>
Date:   Wed Jan 18 15:55:22 2017 +0300

    build: check stricter for presence of xtrans
    
    this should ensure that mate-session won't listen to TCP ports.
    if needed, this check can be disabled using --without-xtrans option.
    
    fixes https://github.com/mate-desktop/mate-session-manager/issues/131
    
    adapted from:
    https://git.gnome.org/browse/gnome-session/commit/?id=aa4c9d125012ae94154ce075d62342b63b41a7d9

 configure.ac                   | 16 +++++++++++-----
 mate-session/gsm-xsmp-server.c |  8 ++++----
 2 files changed, 15 insertions(+), 9 deletions(-)

commit 343219fd031b285483d7cbf98d22ac52095caa21
Author: Martin Wimpress <martin@mate-desktop.org>
Date:   Fri Jan 13 16:13:03 2017 +0000

    Update mate-session-manager NEWS to use consistent, project wide, markdown-like formatting. This will make generating release announcements easier.

 NEWS | 40 ++++++++++++++++++++++++++--------------
 1 file changed, 26 insertions(+), 14 deletions(-)

commit c590a8e5a293324d440136276abf6548103eeff2
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jan 6 20:13:47 2017 +0100

    release 1.17.0

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit ba959e3b1a732d4457692aa46d1c1990051364d2
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Jan 6 20:11:09 2017 +0100

    sync with transifex

 po/LINGUAS     |   1 +
 po/af.po       |  36 ++--
 po/am.po       |  36 ++--
 po/ar.po       |  36 ++--
 po/as.po       |  36 ++--
 po/ast.po      |  36 ++--
 po/az.po       |  36 ++--
 po/be.po       |  36 ++--
 po/bg.po       |  85 ++++-----
 po/bn.po       |  36 ++--
 po/bn_IN.po    |  36 ++--
 po/br.po       |  36 ++--
 po/cmn.po      |  36 ++--
 po/crh.po      |  36 ++--
 po/cs.po       |  36 ++--
 po/cy.po       |  36 ++--
 po/da.po       |  36 ++--
 po/de.po       |  36 ++--
 po/dz.po       |  36 ++--
 po/el.po       |  36 ++--
 po/en_AU.po    |  36 ++--
 po/en_CA.po    |  36 ++--
 po/en_GB.po    |  36 ++--
 po/eo.po       |  36 ++--
 po/es.po       |  40 ++---
 po/es_AR.po    |  36 ++--
 po/es_MX.po    |  36 ++--
 po/et.po       |  36 ++--
 po/eu.po       |  36 ++--
 po/fa.po       |  36 ++--
 po/fi.po       |  36 ++--
 po/fr.po       |  40 ++---
 po/fr_CA.po    |  36 ++--
 po/frp.po      |  36 ++--
 po/fur.po      |  36 ++--
 po/fy.po       |  36 ++--
 po/ga.po       |  36 ++--
 po/gl.po       |  36 ++--
 po/gu.po       |  36 ++--
 po/ha.po       |  36 ++--
 po/he.po       |  36 ++--
 po/hi.po       |  36 ++--
 po/hr.po       |  38 ++--
 po/hu.po       |  36 ++--
 po/hy.po       |  36 ++--
 po/id.po       |  36 ++--
 po/ig.po       |  36 ++--
 po/is.po       |  36 ++--
 po/it.po       |  36 ++--
 po/ja.po       |  38 ++--
 po/jv.po       |  36 ++--
 po/ka.po       |  36 ++--
 po/kk.po       |  36 ++--
 po/kn.po       |  36 ++--
 po/ko.po       |  36 ++--
 po/ku.po       |  36 ++--
 po/ku_IQ.po    | 539 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ky.po       |  36 ++--
 po/lv.po       |  36 ++--
 po/mai.po      |  36 ++--
 po/mg.po       |  36 ++--
 po/mk.po       |  36 ++--
 po/ml.po       |  36 ++--
 po/mn.po       |  36 ++--
 po/mr.po       |  36 ++--
 po/ms.po       |  36 ++--
 po/nb.po       |  40 ++---
 po/nds.po      |  36 ++--
 po/ne.po       |  36 ++--
 po/nl.po       |  36 ++--
 po/nn.po       |  36 ++--
 po/nso.po      |  36 ++--
 po/oc.po       |  36 ++--
 po/or.po       |  36 ++--
 po/pa.po       |  36 ++--
 po/pl.po       |  36 ++--
 po/pms.po      |  36 ++--
 po/ps.po       |  36 ++--
 po/pt.po       |  36 ++--
 po/pt_BR.po    |  36 ++--
 po/ro.po       |  44 ++---
 po/ru.po       |  36 ++--
 po/rw.po       |  36 ++--
 po/si.po       |  36 ++--
 po/sk.po       |  36 ++--
 po/sl.po       |  36 ++--
 po/sq.po       |  36 ++--
 po/sr.po       |  36 ++--
 po/sr@latin.po |  36 ++--
 po/sv.po       |  36 ++--
 po/ta.po       |  36 ++--
 po/te.po       |  36 ++--
 po/th.po       |  36 ++--
 po/tk.po       |  36 ++--
 po/tr.po       |  36 ++--
 po/ug.po       |  36 ++--
 po/uk.po       |  36 ++--
 po/ur.po       |  36 ++--
 po/uz.po       |   6 +-
 po/vi.po       |  36 ++--
 po/wa.po       |  36 ++--
 po/xh.po       |  36 ++--
 po/yo.po       |  36 ++--
 po/zh_CN.po    |  38 ++--
 po/zh_HK.po    |  36 ++--
 po/zh_TW.po    |  36 ++--
 po/zu.po       |  36 ++--
 107 files changed, 2453 insertions(+), 1912 deletions(-)

commit f15be61545192568dfcb438d3452d637f08001ab
Author: monsta <monsta@inbox.ru>
Date:   Mon Dec 5 23:00:59 2016 +0300

    session properties: fix vertical expand of content with window resize
    
    taken from:
    https://git.gnome.org/browse/gnome-session/commit/?id=5b87d78f1b4b8759a57d0935d5423ebf153d80d8
    
    well, our notebook wasn't small (unlike it's noted upstream),
    but vertical expand didn't work anyway. now it should work.

 capplet/gsm-properties-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 26f09decbcba1f43807a4d0e745b252ed7a3f284
Author: George Vlahavas <vlahavas@gmail.com>
Date:   Wed Oct 19 20:35:29 2016 +0300

    Also look for gdm-binary process
    
    In some systems the gdm binary is actually called "gdm-binary", so we
    need to check for that too.

 mate-session/gsm-manager.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f3a3f364401ed92426de91ed2d48b8adc8e5e534
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sun Sep 18 11:06:00 2016 +0200

    release 1.16.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 74f4a254bbfca22aaa8c978504ece41ef28ef2a9
Author: monsta <monsta@inbox.ru>
Date:   Sat Sep 17 23:32:26 2016 +0300

    update NEWS for 1.16

 NEWS | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 95a029015fc8b03e80b9872aa606a624f71fe371
Author: monsta <monsta@inbox.ru>
Date:   Sat Sep 17 23:29:14 2016 +0300

    sync with Transifex

 po/bs.po          |  79 ++++++++++++++--------------
 po/ca.po          |  53 +++++++++----------
 po/ca@valencia.po | 153 +++++++++++++++++++++++++++---------------------------
 po/es_CO.po       |  43 +++++++--------
 po/lt.po          |  40 +++++++-------
 po/uz.po          |  40 +++++++-------
 6 files changed, 206 insertions(+), 202 deletions(-)

commit d933613594fa7e1af51ebaeb4d02c5d697d5dc6c
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Aug 3 17:55:09 2016 +0200

    Fix Gtk-CRITICAL error caused by deprecated code
    
    It removes the code related to the old dialog icon
    which is not displayed anymore.
    The Gtk-CRITICAL error was caused by gtk_message_dialog_get_image returning NULL
    as it is now deprecated in GTK 3.
    
    taken from:
    https://github.com/linuxmint/cinnamon-session/pull/71

 mate-session/gsm-logout-dialog.c | 5 -----
 1 file changed, 5 deletions(-)

commit acbaaaa13be21e429aa1d6ed529081f16d680ed9
Author: monsta <monsta@inbox.ru>
Date:   Fri Jul 1 14:33:50 2016 +0300

    po: drop language not present on Transifex (or present but empty)
    
    also en_US isn't a translation at all

 po/LINGUAS        |   5 -
 po/be@latin.po    | 557 ------------------------------------------------------
 po/en@shaw.po     | 531 ---------------------------------------------------
 po/en_US.po       | 529 ---------------------------------------------------
 po/mi.po          | 458 --------------------------------------------
 po/uz@cyrillic.po | 522 --------------------------------------------------
 6 files changed, 2602 deletions(-)

commit a0b7c20db4f5e93027f41d1e08ed7e162ed8fa37
Author: monsta <monsta@inbox.ru>
Date:   Tue Jun 21 18:16:42 2016 +0300

    po: actually add a new language from Transifex

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit ef2ca4d72e0b0e134c8433887e9884e8dbe6495e
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jun 7 18:02:59 2016 +0200

    release 1.15.0

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit 174d624a13d689d6ee5d4a9d34daaa8443dcd952
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Jun 7 17:59:24 2016 +0200

    sync with Transiflex

 po/es.po  |   8 +-
 po/frp.po |   6 +-
 po/hi.po  |   2 +-
 po/lt.po  |   6 +-
 po/nb.po  |   6 +-
 po/pms.po | 539 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sv.po  |  10 +-
 po/uz.po  |  26 +--
 8 files changed, 571 insertions(+), 32 deletions(-)

commit 31bfff7d186688d7ece72fcfa62e99efaf4ef272
Author: monsta <monsta@inbox.ru>
Date:   Thu May 26 11:41:43 2016 +0300

    drop ancient MAINTAINERS file

 MAINTAINERS | 20 --------------------
 Makefile.am |  3 +--
 2 files changed, 1 insertion(+), 22 deletions(-)

commit b0e61255699a4f850f908eee0405e5961bb9ae83
Author: monsta <monsta@inbox.ru>
Date:   Thu May 26 11:22:13 2016 +0300

    bump version to 1.15.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e670e05cb08c66da2838abe2608cfccb8b09fafd
Author: monsta <monsta@inbox.ru>
Date:   Tue May 17 14:08:57 2016 +0300

    require GTK+ >= 3.14, drop GTK+2 code and --with-gtk build option

 capplet/gsm-app-dialog.c          |  4 --
 capplet/gsm-properties-dialog.c   |  7 ----
 configure.ac                      | 27 ++------------
 egg/eggsmclient-private.h         |  3 --
 egg/eggsmclient-xsmp.c            | 19 ----------
 mate-session/gsm-inhibit-dialog.c | 77 ---------------------------------------
 mate-session/gsm-logout-dialog.c  |  6 ---
 mate-session/msm-gnome.c          |  8 ----
 mate-session/test-inhibit.c       |  4 --
 9 files changed, 4 insertions(+), 151 deletions(-)

commit b17f0ae827ae6f0e949dda38a40ae72d822603b5
Author: monsta <monsta@inbox.ru>
Date:   Thu Apr 7 16:29:00 2016 +0300

    po: add missing languages to LINGUAS

 po/LINGUAS | 2 ++
 1 file changed, 2 insertions(+)

commit a995c5a3ebaeb4e767e196a5250de702cf4896a3
Author: monsta <monsta@inbox.ru>
Date:   Thu Apr 7 11:14:19 2016 +0300

    update NEWS to mention Changelog generation

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit dd21601ed4282bd27b12f5903593c3a8a31915fe
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Apr 5 23:35:43 2016 +0200

    release 1.14.0

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 7f1ae222ba1d6da175ea428f2caf11de6ce9560f
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Apr 5 23:34:35 2016 +0200

    Add Changelog generation

 Makefile.am | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 3c8292bf2b57fa68ffbf6d2dd3258260f817f470
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Apr 5 23:33:27 2016 +0200

    add new languages and sync with transiflex

 po/LINGUAS        |   3 +
 po/af.po          | 153 ++++-----
 po/am.po          | 183 ++++++-----
 po/ar.po          | 210 ++++++------
 po/as.po          | 153 ++++-----
 po/ast.po         | 153 ++++-----
 po/az.po          | 153 ++++-----
 po/be.po          | 171 +++++-----
 po/bg.po          | 153 ++++-----
 po/bn.po          | 153 ++++-----
 po/bn_IN.po       | 153 ++++-----
 po/br.po          |   2 +-
 po/bs.po          | 153 ++++-----
 po/ca.po          | 226 ++++++-------
 po/ca@valencia.po | 153 ++++-----
 po/cmn.po         | 153 ++++-----
 po/crh.po         | 153 ++++-----
 po/da.po          |   7 +-
 po/de.po          | 154 ++++-----
 po/dz.po          | 153 ++++-----
 po/el.po          | 156 ++++-----
 po/en_AU.po       | 156 ++++-----
 po/en_CA.po       | 153 ++++-----
 po/en_GB.po       | 154 ++++-----
 po/eo.po          | 153 ++++-----
 po/es.po          | 154 ++++-----
 po/es_AR.po       | 538 +++++++++++++++++++++++++++++++
 po/es_CO.po       | 538 +++++++++++++++++++++++++++++++
 po/es_MX.po       |   2 +-
 po/et.po          | 153 ++++-----
 po/eu.po          | 153 ++++-----
 po/fa.po          | 167 +++++-----
 po/fi.po          | 153 ++++-----
 po/fr.po          | 154 ++++-----
 po/fr_CA.po       |  53 ++--
 po/frp.po         | 539 +++++++++++++++++++++++++++++++
 po/fur.po         | 153 ++++-----
 po/fy.po          | 153 ++++-----
 po/ga.po          | 153 ++++-----
 po/gl.po          | 171 +++++-----
 po/gu.po          | 153 ++++-----
 po/ha.po          | 153 ++++-----
 po/he.po          |   2 +-
 po/hi.po          | 153 ++++-----
 po/hr.po          | 151 +++++----
 po/id.po          | 155 ++++-----
 po/ig.po          | 153 ++++-----
 po/it.po          |   2 +-
 po/ja.po          | 153 ++++-----
 po/jv.po          |  53 ++--
 po/ka.po          | 153 ++++-----
 po/kk.po          | 153 ++++-----
 po/kn.po          | 153 ++++-----
 po/ko.po          | 183 ++++++-----
 po/ku.po          | 153 ++++-----
 po/ky.po          | 153 ++++-----
 po/lt.po          |  10 +-
 po/lv.po          | 153 ++++-----
 po/mai.po         | 153 ++++-----
 po/mg.po          | 153 ++++-----
 po/mk.po          | 153 ++++-----
 po/ml.po          | 155 ++++-----
 po/mn.po          | 153 ++++-----
 po/mr.po          | 153 ++++-----
 po/ms.po          | 151 +++++----
 po/nb.po          |  39 +--
 po/nds.po         | 153 ++++-----
 po/ne.po          |   2 +-
 po/nn.po          | 153 ++++-----
 po/nso.po         | 155 ++++-----
 po/oc.po          | 204 ++++++------
 po/or.po          | 155 ++++-----
 po/pa.po          | 153 ++++-----
 po/pl.po          | 170 +++++-----
 po/ps.po          | 153 ++++-----
 po/pt.po          | 156 ++++-----
 po/pt_BR.po       | 154 ++++-----
 po/ro.po          | 205 ++++++------
 po/rw.po          | 933 ++++++++++++++++++++++++++----------------------------
 po/si.po          | 153 ++++-----
 po/sl.po          | 153 ++++-----
 po/sq.po          | 177 ++++++-----
 po/sr.po          | 151 +++++----
 po/sr@latin.po    | 153 ++++-----
 po/sv.po          | 153 ++++-----
 po/ta.po          | 153 ++++-----
 po/te.po          | 153 ++++-----
 po/th.po          |   2 +-
 po/tk.po          | 627 ++++++++++++++++++++----------------
 po/tr.po          | 153 ++++-----
 po/ug.po          | 153 ++++-----
 po/uk.po          |  44 +--
 po/ur.po          | 153 ++++-----
 po/uz.po          | 202 ++++++------
 po/vi.po          | 153 ++++-----
 po/wa.po          | 153 ++++-----
 po/xh.po          | 153 ++++-----
 po/yo.po          | 153 ++++-----
 po/zh_CN.po       | 156 ++++-----
 po/zh_HK.po       | 153 ++++-----
 po/zh_TW.po       | 151 +++++----
 po/zu.po          | 153 ++++-----
 102 files changed, 9671 insertions(+), 7027 deletions(-)

commit 8ff6d0236fa61f03cd0faaa6387d82127c872589
Author: monsta <monsta@inbox.ru>
Date:   Tue Apr 5 16:07:50 2016 +0300

    update NEWS

 NEWS | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit ef5bd88ec3f87f63a61cc9c136f3c9ef5925c676
Author: Martin Wimpress <code@flexion.org>
Date:   Fri Feb 19 14:22:34 2016 +0000

    Sync with Transifex

 po/br.po    | 198 +++++++++++++++++----------------
 po/cs.po    | 171 +++++++++++++++--------------
 po/cy.po    | 167 +++++++++++++++-------------
 po/da.po    | 157 ++++++++++++++-------------
 po/es_MX.po | 153 ++++++++++++++------------
 po/he.po    | 153 ++++++++++++++------------
 po/hu.po    | 158 ++++++++++++++-------------
 po/hy.po    | 356 +++++++++++++++++++++++++++++++-----------------------------
 po/is.po    | 336 +++++++++++++++++++++++++++++---------------------------
 po/it.po    | 155 ++++++++++++++------------
 po/lt.po    | 189 +++++++++++++++++---------------
 po/nb.po    | 153 ++++++++++++++------------
 po/ne.po    | 153 ++++++++++++++------------
 po/nl.po    | 157 +++++++++++++++------------
 po/ru.po    | 154 ++++++++++++++------------
 po/sk.po    | 170 +++++++++++++++--------------
 po/th.po    | 153 ++++++++++++++------------
 po/uk.po    | 155 ++++++++++++++------------
 18 files changed, 1749 insertions(+), 1539 deletions(-)

commit d6d8a381c89cd93256e57bd1eb080d91c5d5b61a
Author: Eric Turgeon <ericturgeon.bsd@gmail.com>
Date:   Sun Jan 31 18:12:44 2016 -0400

    Adding #include <signal.h> for FreeBSD support

 mate-session/gsm-autostart-app.c | 2 ++
 1 file changed, 2 insertions(+)

commit 23717614914d874a5ca6fe555df242043d041e6d
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sun Jan 24 20:48:58 2016 +0100

    release 1.13.0

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit 20f538b0f0bca00a0b1bb04cd2f0acf1a573b663
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Tue Jan 5 03:02:16 2016 +0100

    pre-bump version to 1.13.0

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit d80f560ce7bef724367cc77e631204e58ce2ebf8
Author: Monsta <monsta@inbox.ru>
Date:   Sun Jan 3 00:25:42 2016 +0300

    drop obsolete build flags

 capplet/Makefile.am | 4 +---
 tools/Makefile.am   | 4 +---
 2 files changed, 2 insertions(+), 6 deletions(-)

commit 2cd492814032e5449e0277730e8a7a4395f04630
Author: Monsta <monsta@inbox.ru>
Date:   Sun Jan 3 00:24:56 2016 +0300

    drop MateConf migration script

 data/Makefile.am          |  4 ----
 data/mate-session.convert | 11 -----------
 2 files changed, 15 deletions(-)

commit cbfdcc0669685c3e01a10e5c83a0a02b133c0848
Author: monsta <monsta@inbox.ru>
Date:   Thu Dec 31 10:37:15 2015 +0300

    mdm: fix logic error

 mate-session/mdm.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4d0c3f3ba8b99fd640170810cde47bb981e2fc91
Author: Monsta <monsta@inbox.ru>
Date:   Sun Dec 13 22:23:28 2015 +0300

    remove some dead code

 tools/mate-session-save.c | 37 -------------------------------------
 1 file changed, 37 deletions(-)

commit 5014a4ddbdf8349fe8206cf3df3ac6a97361b469
Author: Monsta <monsta@inbox.ru>
Date:   Sun Dec 13 21:23:30 2015 +0300

    fix a typo in a warning

 mate-session/gs-idle-monitor.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b67a44ec476c704616c7e3b89a2c5f5d36483b49
Author: Monsta <monsta@inbox.ru>
Date:   Sun Dec 13 18:07:49 2015 +0300

    fix logic error that caused a weird build warning

 mate-session/gsm-manager.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ece1ce8bfe54fa26aab05d7eb315d7730158383
Author: Monsta <monsta@inbox.ru>
Date:   Sun Dec 13 17:56:17 2015 +0300

    fix one more build warning

 mate-session/main.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit fadc21892499633949f06c19094fb46f41eba695
Author: Monsta <monsta@inbox.ru>
Date:   Sun Dec 13 17:49:29 2015 +0300

    fix warnings about unused variables

 configure.ac               |  2 +-
 mate-session/gsm-manager.c | 24 ++++++------------------
 2 files changed, 7 insertions(+), 19 deletions(-)

commit 6b09840cadebe81b1baf7dc13cb67346071f53a2
Merge: 2cdcacd f9a2293
Author: monsta <monsta@inbox.ru>
Date:   Sun Dec 13 17:38:01 2015 +0300

    Merge pull request #110 from oleid/master
    
    compile fix for upower 0.99 series

commit 2cdcacd350c8c5456ddded9145bb7fbcc65ddbff
Author: monsta <monsta@inbox.ru>
Date:   Mon Nov 30 11:06:00 2015 +0300

    Bump version to 1.12.1

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit e422b96c6388526bf5549974f9b705638a61d08e
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Nov 21 17:52:40 2015 +0100

    Gtk+-3.14: don't use deprecated gtk_tree_view_set_rules_hint

 capplet/gsm-properties-dialog.c | 2 ++
 1 file changed, 2 insertions(+)

commit e14591b88509be82cc3de018d846ea215c973569
Author: Wolfgang Ulbrich <chat-to-me@raveit.de>
Date:   Sat Nov 21 17:54:45 2015 +0100

    GTK3: don't use deprecated gdk_threads_enter/leave

 egg/eggsmclient-xsmp.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit f9a2293e611930bab7a799efe2569313a4414348
Author: Olaf Leidinger <oleid@mescharet.de>
Date:   Sat Nov 14 16:46:28 2015 +0100

    compile fix for upower 0.99 series
    
    upower 0.99 has lost support for hibernate and suspend. This leads to undefined
    references to up_client_get_can_suspend  and up_client_get_can_hibernate on my
    system. This patch removes any call to those functions for upower >= 0.99.

 configure.ac                     |  7 ++++++-
 mate-session/gsm-logout-dialog.c |  8 ++++----
 mate-session/gsm-manager.c       | 12 ++++++------
 3 files changed, 16 insertions(+), 11 deletions(-)

commit c3dadac7bb9b732fa2e174bf6470614888021b6b
Author: monsta <monsta@inbox.ru>
Date:   Wed Nov 11 13:26:19 2015 +0300

    get rid of dependency on libmate-desktop
    
    this introduces a bit of code duplication but makes m-s-m independent
    of any MATE packages which rely upon GTK+, and so makes it possible
    to migrate m-s-m to GTK+3 right away.
    
    of course, this change might be reverted in the future (when all of MATE
    becomes GTK+3 only).

 configure.ac        |  2 --
 mate-session/main.c | 20 +++++++++++++++++---
 2 files changed, 17 insertions(+), 5 deletions(-)

commit debd5bbbe3dda8934687eb66dbf0a5bfa97f5b2e
Author: Monsta <monsta@inbox.ru>
Date:   Sun Nov 8 14:54:32 2015 +0300

    configure.ac: use release version of GTK+3, not pre-release one

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a950b06d952ffa3da43de9c028af7b367bd88333
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Tue Nov 3 14:12:13 2015 +0000

    1.12.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0bde22a31127ebab3d7b868fabb1d73899220e4b
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Tue Nov 3 14:10:31 2015 +0000

    Sync translations with transifex

 po/fr_CA.po | 528 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/jv.po    | 527 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1055 insertions(+)

commit b9696db6488224917803d20e9c5b4c0f34b22a82
Author: monsta <monsta@inbox.ru>
Date:   Fri Oct 30 16:28:05 2015 +0300

    update NEWS for 1.12

 NEWS | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 34be310952f9993115ccc09cb2607b261e90b44d
Author: monsta <monsta@inbox.ru>
Date:   Tue Oct 27 15:42:26 2015 +0300

    some corrections in NEWS

 NEWS | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 2573e67a1ccaaafebe366a24d5a14766c8f59f91
Merge: 487a850 618bd26
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Tue Oct 27 02:11:20 2015 +0000

    Merge pull request #105 from run4flat/patch-1
    
    Emphasize: logout with mate-save-session does not save

commit 487a8505d22f63b5326a7b9fe64224f6f6523918
Author: Monsta <monsta@inbox.ru>
Date:   Sun Oct 25 17:55:17 2015 +0300

    schema: fix typo in description

 data/org.mate.session.gschema.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 618bd260c08ca670c228a38ee8592fee189eeff9
Author: David Mertens <dcmertens.perl@gmail.com>
Date:   Sun Oct 25 07:40:27 2015 -0400

    Emphasize: logout with mate-save-session does not save
    
    Revises man page for mate-save-session to emphasize in the opening paragraph that mate-save-session either ends the session or saves it, but not both.

 doc/man/mate-session-save.1 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 26ccdb0321012706798a43d8a1f5e5ae6ccbe362
Merge: c1b21ea 9582afb
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Thu Oct 22 10:36:44 2015 +0100

    Merge pull request #104 from mate-desktop/session-save-fix
    
    mate-session-save: try org.mate.SessionManager if org.gnome fails

commit 9582afb40caf49a2386f2bed740d9e708494312f
Author: Monsta <monsta@inbox.ru>
Date:   Wed Oct 21 16:45:15 2015 +0300

    mate-session-save: try org.mate.SessionManager if org.gnome fails
    
    fixes https://github.com/mate-desktop/mate-session-manager/issues/103

 tools/mate-session-save.c | 32 +++++++++++++++++++++++++++++---
 1 file changed, 29 insertions(+), 3 deletions(-)

commit c1b21ea58c3811aef7ee747671817dce44229796
Merge: c553068 9b04b4e
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Mon Oct 19 09:25:02 2015 +0100

    Merge pull request #102 from clefebvre/exit_timeout_1sec
    
    Only wait 1 second max on logout/shutdown

commit 9b04b4eabac8256c81272d58f7d1c2bd895c977c
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Thu Oct 15 21:55:29 2015 +0100

    Only wait 1 second max on logout/shutdown
    
    Ported from https://github.com/linuxmint/cinnamon-session/commit/73048abbfe05f882fed31365a1fe5b5733b6b7f6

 mate-session/gsm-manager.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit c553068a78c7d26a57b061388c587d90719c4b70
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Oct 8 22:47:18 2015 +0200

    release 1.11.0

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit af58c2ecd98fe68360635f0e566b81e4b8c7be4d
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue Oct 6 17:29:15 2015 +0200

    pre-bump version to 1.11.0

 NEWS         | 2 ++
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 15d6a877306f62f7c96b8cdd1fa5a12dfd993ca4
Author: Monsta <monsta@inbox.ru>
Date:   Mon Oct 5 16:35:08 2015 +0300

    fix build issue when using libsystemd-login package

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5c599e81b81187b1166f8ccaa9be37fe316cd056
Author: Monsta <monsta@inbox.ru>
Date:   Thu Oct 1 14:28:15 2015 +0300

    fix systemd support that my copy/paste mistake broke in last commit

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e30b208ab9447724bf3c0fb21879d2ddd404aa86
Author: Monsta <monsta@inbox.ru>
Date:   Thu Oct 1 11:30:46 2015 +0300

    configure.ac: add support for new libsystemd library

 configure.ac | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 7150c99091063aa5fe98d2f161086224b86481a0
Merge: 75283e0 6745132
Author: Martin Wimpress <code@flexion.org>
Date:   Sun Sep 27 07:49:46 2015 +0100

    Merge pull request #96 from flexiondotorg/docksupport
    
    Add support for an optional dock, such as Plank.

commit 6745132519542d1ad81a1dbb91f7fbe9d19c72e7
Author: Martin Wimpress <code@flexion.org>
Date:   Thu Sep 17 11:56:13 2015 +0100

    Add support for an optional dock, such as Plank.
    
    The `required-components-list` adds an entry for `dock` which is null by default so that behaviour is unchanged. This change makes it possible to better integrate docks into the MATE session rather than manipulating autostart files.

 data/org.mate.session.gschema.xml.in | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 75283e0014619d93a7ad0aeecfa9b578c992d420
Author: infirit <infirit@gmail.com>
Date:   Tue Sep 8 15:08:55 2015 +0200

    Fix transifex config

 .tx/config | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c434cb7f94c1052710bbcaf42d6a627353d10487
Author: infirit <infirit@gmail.com>
Date:   Tue Sep 8 15:06:33 2015 +0200

    define max/min version of GLib

 configure.ac | 6 ++++++
 1 file changed, 6 insertions(+)

commit b7013f0eb5567b2cfbc7b43be6b8ffddfc7d3a03
Author: infirit <infirit@gmail.com>
Date:   Tue Sep 8 15:06:18 2015 +0200

    Rework gsettings schema building
    
    * Bump intltool required version for gsettings support
    * Extract strings with intltool directly
    * Let autoconf generate the xml files

 configure.ac                            |  3 +-
 data/Makefile.am                        | 13 +++----
 data/org.mate.session.gschema.xml.in    | 63 +++++++++++++++++++++++++++++++++
 data/org.mate.session.gschema.xml.in.in | 63 ---------------------------------
 po/POTFILES.in                          |  2 +-
 5 files changed, 70 insertions(+), 74 deletions(-)

commit 672ea03c5c3b923bb1302fd3039adc304e71eb6a
Merge: b01c417 0f5adf2
Author: Martin Wimpress <code@flexion.org>
Date:   Tue Sep 8 12:24:24 2015 +0100

    Merge pull request #95 from monsta/patch-1
    
    configure.ac: drop obsolete macro

commit b01c41715ddad682c2e0d2a5eac8fa0deb91c5e8
Author: Clement Lefebvre <clement.lefebvre@linuxmint.com>
Date:   Fri Sep 4 21:01:09 2015 +0100

    Use org.gnome.SessionManager at /org/gnome/SessionManager as the DBUS API. This is necessary for compatibility and it brings support for many apps hardcoding GNOME support but also apps written in GTK (Gtk.Application taps into org.gnome.Session to register applications for a clean shutdown and for inhibition). It doesn't conflict with GNOME or Cinnamon (which both use the same name) since it's on the SessionBus. It makes mate-session aware of programs such as gedit, etc.. which might need to save people's work before logout, it brings support for totem inhibiting the session etc etc..

 doc/dbus/Makefile.am                               | 30 ++++++++++----------
 doc/dbus/mate-session.xml.in                       | 10 +++----
 mate-session/Makefile.am                           | 32 +++++++++++-----------
 mate-session/README                                |  2 +-
 mate-session/gsm-app.c                             |  2 +-
 mate-session/gsm-client.c                          |  2 +-
 mate-session/gsm-dbus-client.c                     |  4 +--
 mate-session/gsm-inhibitor.c                       |  2 +-
 mate-session/gsm-manager.c                         |  8 +++---
 mate-session/gsm-presence.c                        |  2 +-
 mate-session/main.c                                |  2 +-
 ...er.App.xml => org.gnome.SessionManager.App.xml} |  2 +-
 ...ent.xml => org.gnome.SessionManager.Client.xml} |  2 +-
 ... => org.gnome.SessionManager.ClientPrivate.xml} | 20 +++++++-------
 ....xml => org.gnome.SessionManager.Inhibitor.xml} |  2 +-
 ...e.xml => org.gnome.SessionManager.Presence.xml} |  2 +-
 ...ionManager.xml => org.gnome.SessionManager.xml} | 22 +++++++--------
 mate-session/test-client-dbus.c                    |  8 +++---
 mate-session/test-inhibit.c                        |  6 ++--
 tools/mate-session-inhibit.c                       |  6 ++--
 tools/mate-session-save.c                          |  6 ++--
 21 files changed, 86 insertions(+), 86 deletions(-)

commit 725910927048248426f2224762506ef7008f2429
Author: infirit <infirit@gmail.com>
Date:   Tue Sep 1 22:53:12 2015 +0200

    Add option to disable overlay scrolling

 mate-session/main.c | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 0f5adf23697faf61272d4f7881300a19bf124105
Author: monsta <monsta@inbox.ru>
Date:   Wed Aug 19 10:49:36 2015 +0300

    configure.ac: drop obsolete macro
    
    It's been a no-op for a long time.
    See https://mail.gnome.org/archives/commits-list/2011-December/msg00681.html for example.

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit e25e546c9d2f7a18ff2b3f4a578fb9028544be85
Author: Monsta <monsta@inbox.ru>
Date:   Mon Jul 27 23:16:32 2015 +0300

    use g_settings_bind + unref GSettings during dialog cleanup
    
    from https://github.com/GNOME/gnome-session/commit/11d9ec5976671e54714a4667e5ca45c925c0d762

 capplet/gsm-properties-dialog.c | 52 ++++++-----------------------------------
 1 file changed, 7 insertions(+), 45 deletions(-)

commit 1dc6b6ba5e193bceca155f852b82dc803b554b07
Author: Monsta <monsta@inbox.ru>
Date:   Mon Jul 27 23:00:56 2015 +0300

    don't use ancient properties (deprecated in GTK+ 2.22)
    
    from https://github.com/GNOME/gnome-session/commit/172db15097c84e4d3c93bfcc4d51eed6c7d25e3d

 capplet/gsm-app-dialog.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 7446463bd4d0ac22005a4b51919536a1bd146779
Author: Monsta <monsta@inbox.ru>
Date:   Mon Jul 27 22:53:19 2015 +0300

    clean up and de-duplicate defines
    
    from https://github.com/GNOME/gnome-session/commit/f415130f0de6cdc13d9433632d5ee1554a242103
    and https://github.com/GNOME/gnome-session/commit/378f502047022b263d14bbbec213ad442e5ad822

 capplet/gsm-properties-dialog.c   | 5 -----
 mate-session/gsm-dbus-client.c    | 4 +---
 mate-session/gsm-inhibit-dialog.c | 2 --
 mate-session/gsm-inhibitor.c      | 3 +--
 mate-session/gsm-manager.c        | 2 --
 mate-session/gsm-presence.c       | 2 --
 mate-session/gsm-util.h           | 2 ++
 mate-session/gsm-xsmp-client.c    | 2 --
 mate-session/main.c               | 3 ---
 9 files changed, 4 insertions(+), 21 deletions(-)

commit 728d76ee07069a6f7aca9135d6a1d69e6d1ae345
Author: Monsta <monsta@inbox.ru>
Date:   Mon Jul 27 22:37:22 2015 +0300

    properties dialog: fix inline search in apps list
    
    from https://github.com/GNOME/gnome-session/commit/b3375fa652b236d0c81079a3513ba2a11f22eee9

 capplet/gsm-properties-dialog.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 95da701d9e00c40826a18c73da94db7636b03b4d
Author: infirit <infirit@gmail.com>
Date:   Thu Jul 16 14:08:00 2015 +0200

    Use gsettings in mate-wm script

 data/mate-wm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6becbf26e7862498f1755c4e92eb8d37328aebf5
Author: Monsta <monsta@inbox.ru>
Date:   Mon Jul 13 14:06:54 2015 +0300

    Bump version to 1.10.2

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 1637771ff3e3dcddfaf17671a8ceaa9b57e9936b
Author: Monsta <monsta@inbox.ru>
Date:   Wed Jul 8 13:18:36 2015 +0300

    session properties: actually show help (fixed broken link)

 capplet/main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4a429eb78e328b82fa6dc6422b8bdb8de7b8cb35
Merge: 5bc8ccd 47ddcc3
Author: Martin Wimpress <code@flexion.org>
Date:   Sun Jun 28 08:35:47 2015 +0100

    Merge pull request #89 from obache/neatsrc
    
    Fix uninitialized variable usages for !HAVE_UPOWER

commit 47ddcc32cdfc5ce1ec0b39f7b5df52a3ca07a7e6
Author: OBATA Akio <obache@users.noreply.github.com>
Date:   Sun Jun 28 16:16:39 2015 +0900

    Fix uninitialized variable usages for !HAVE_UPOWER

 mate-session/gsm-manager.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5bc8ccdb5c056c5805e8f69dce9c1b556abb2c31
Merge: 18246a5 7e4d8ae
Author: Martin Wimpress <code@flexion.org>
Date:   Sun Jun 21 12:52:22 2015 +0100

    Merge pull request #88 from monsta/fix
    
    inhibit tool: add missing include

commit 7e4d8ae3949b3367f4d285a63f2ef00e050e43af
Author: Monsta <monsta@inbox.ru>
Date:   Sun Jun 21 14:42:02 2015 +0300

    inhibit tool: add missing include
    
    fixes https://github.com/mate-desktop/mate-session-manager/issues/85

 tools/mate-session-inhibit.c | 1 +
 1 file changed, 1 insertion(+)

commit 18246a5a24c0712734bf98f6b308fbe1266b57ee
Merge: 5614719 8aba78c
Author: Martin Wimpress <code@flexion.org>
Date:   Sat Jun 20 08:06:06 2015 +0100

    Merge pull request #87 from NiceandGently/master
    
    set XDG_CURRENT_DESKTOP env to MATE

commit 8aba78c32b31f9e0cc00d1b8f9c90829e5658a62
Author: raveit65 <chat-to-me@raveit.de>
Date:   Sat Jun 20 00:24:34 2015 +0200

    set XDG_CURRENT_DESKTOP env to MATE

 data/mate.desktop.in | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 5614719eefbb4bfa3f6617b90ad2897ccf9e8c27
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Fri Jun 12 09:50:35 2015 +0200

    Sync translations with transifex

 po/am.po |  4 ++--
 po/es.po | 15 ++++++------
 po/fi.po | 33 ++++++++++++++-------------
 po/hr.po | 24 ++++++++++----------
 po/id.po |  7 +++---
 po/ja.po | 79 ++++++++++++++++++++++++++++++++--------------------------------
 po/lt.po |  6 ++---
 po/pl.po |  7 +++---
 po/ro.po | 51 +++++++++++++++++++++--------------------
 po/ru.po |  6 +++--
 po/sq.po | 19 ++++++++--------
 po/sv.po |  7 +++---
 po/uk.po | 74 ++++++++++++++++++++++++++++++------------------------------
 13 files changed, 171 insertions(+), 161 deletions(-)

commit 85f4805cb9502f0d49bca124ad29d6df499bf513
Author: Martin Wimpress <code@flexion.org>
Date:   Thu Jun 11 20:17:44 2015 +0100

    Bump version to 1.10.1

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit a41cfacda42aeb375b23e8058b171c27b3f48f29
Merge: a5289a4 f05c33a
Author: Martin Wimpress <code@flexion.org>
Date:   Tue Jun 9 22:45:05 2015 +0100

    Merge pull request #84 from NiceandGently/master
    
    fix size of GtkScrolledWindow in session properties

commit f05c33ae228a02fbed4238810205f31d72d2ed1b
Author: raveit65 <chat-to-me@raveit.de>
Date:   Tue May 19 10:25:40 2015 +0200

    fix size of GtkScrolledWindow in session properties

 data/session-properties.ui | 1 +
 1 file changed, 1 insertion(+)

commit a5289a48ecfbfbe0147551f6dee13d58ee17b033
Merge: c21cf3e 799f618
Author: Martin Wimpress <code@flexion.org>
Date:   Tue May 19 02:34:20 2015 +0100

    Merge pull request #80 from NiceandGently/master
    
    ckeck for running DM for user switching

commit c21cf3eacfd87d67f3a814ad3fecd914b6cce27d
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Apr 7 19:37:44 2015 +0200

    Bump version to 1.10.0

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 799f618c34f59790521093034237e303105209b3
Author: raveit65 <chat-to-me@raveit.de>
Date:   Wed Apr 1 21:51:19 2015 +0200

    ckeck-for-running DM for user switching
    
    fixes https://github.com/mate-desktop/mate-session-manager/issues/76
    
    taken from linuxmint/cinnamon-session@55538a5

 mate-session/gsm-manager.c | 85 +++++++++++++++++++++++-----------------------
 1 file changed, 43 insertions(+), 42 deletions(-)

commit e8480c5c460148661eeb4c27284236c79a367907
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Feb 25 23:41:58 2015 +0100

    Bump version to 1.9.90

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 94843f75711205bdd6fde02b6bc66ec16b1fa363
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Wed Feb 25 23:41:41 2015 +0100

    Sync translations with transifex

 po/ar.po    | 24 +++++++++++++-----------
 po/be.po    | 12 ++++++------
 po/da.po    | 38 +++++++++++++++++++-------------------
 po/en_AU.po | 22 +++++++++++-----------
 po/es.po    |  6 +++---
 po/hu.po    | 21 +++++++++++----------
 po/ms.po    | 22 +++++++++++-----------
 po/pt.po    | 22 +++++++++++-----------
 po/pt_BR.po | 21 +++++++++++----------
 po/ru.po    | 24 ++++++++++++------------
 po/sk.po    | 14 +++++++-------
 po/tr.po    | 23 ++++++++++++-----------
 po/uk.po    | 13 +++++++------
 po/zh_CN.po | 21 +++++++++++----------
 14 files changed, 145 insertions(+), 138 deletions(-)

commit fa16a566b50e7bcaaba5e8da48f32868e704d0d8
Author: Monsta <monsta@inbox.ru>
Date:   Thu Feb 19 17:59:49 2015 +0300

    debug GSettings: first connect to settings, then read them.
    
    fixes the issue with GLib >= 2.43,
    https://git.gnome.org/browse/glib/commit/?id=8ff5668a458344da22d30491e3ce726d861b3619

 mate-session/main.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 955c94b22d584c82548ce5fb664d2fcf2537aaa7
Author: Monsta <monsta@inbox.ru>
Date:   Thu Feb 19 17:53:28 2015 +0300

    make indentation more consistent, removed excessive var assignment

 mate-session/gsm-autostart-app.c | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 27954f902adfb2e3b446a5e08b0632c0b20f64bf
Author: Monsta <monsta@inbox.ru>
Date:   Thu Feb 19 17:36:25 2015 +0300

    first connect to settings, then read them.
    
    fixes the issue with GLib >= 2.43,
    https://git.gnome.org/browse/glib/commit/?id=8ff5668a458344da22d30491e3ce726d861b3619
    
    Closes https://github.com/mate-desktop/mate-session-manager/pull/72

 capplet/gsm-properties-dialog.c  | 5 +++--
 mate-session/gsm-autostart-app.c | 3 ++-
 2 files changed, 5 insertions(+), 3 deletions(-)

commit cd2927a6fd4a78cae585daccbd6321a3798d51bf
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Tue Jan 20 19:34:20 2015 +0100

    Sync translations with transifex

 po/af.po          | 150 +++++++++++++++++--------
 po/am.po          | 182 +++++++++++++++++++-----------
 po/ar.po          | 185 ++++++++++++++++++++-----------
 po/as.po          | 150 +++++++++++++++++--------
 po/ast.po         | 150 +++++++++++++++++--------
 po/az.po          | 154 +++++++++++++++++---------
 po/be.po          | 150 +++++++++++++++++--------
 po/bg.po          | 150 +++++++++++++++++--------
 po/bn.po          | 150 +++++++++++++++++--------
 po/bn_IN.po       | 150 +++++++++++++++++--------
 po/br.po          | 150 +++++++++++++++++--------
 po/bs.po          | 150 +++++++++++++++++--------
 po/ca.po          | 152 ++++++++++++++++---------
 po/ca@valencia.po | 150 +++++++++++++++++--------
 po/cmn.po         | 152 ++++++++++++++++---------
 po/crh.po         | 150 +++++++++++++++++--------
 po/cs.po          | 150 +++++++++++++++++--------
 po/cy.po          | 202 +++++++++++++++++++++-------------
 po/da.po          | 150 +++++++++++++++++--------
 po/de.po          | 156 +++++++++++++++++---------
 po/dz.po          | 150 +++++++++++++++++--------
 po/el.po          | 150 +++++++++++++++++--------
 po/en_AU.po       | 150 +++++++++++++++++--------
 po/en_CA.po       | 150 +++++++++++++++++--------
 po/en_GB.po       | 150 +++++++++++++++++--------
 po/en_US.po       | 150 +++++++++++++++++--------
 po/eo.po          | 150 +++++++++++++++++--------
 po/es.po          | 161 ++++++++++++++++++---------
 po/es_MX.po       | 152 ++++++++++++++++---------
 po/et.po          | 150 +++++++++++++++++--------
 po/eu.po          | 150 +++++++++++++++++--------
 po/fa.po          | 150 +++++++++++++++++--------
 po/fi.po          | 171 ++++++++++++++++++----------
 po/fr.po          | 151 +++++++++++++++++--------
 po/fur.po         | 150 +++++++++++++++++--------
 po/fy.po          | 150 +++++++++++++++++--------
 po/ga.po          | 150 +++++++++++++++++--------
 po/gl.po          | 154 +++++++++++++++++---------
 po/gu.po          | 150 +++++++++++++++++--------
 po/ha.po          | 150 +++++++++++++++++--------
 po/he.po          | 150 +++++++++++++++++--------
 po/hi.po          | 150 +++++++++++++++++--------
 po/hr.po          | 150 +++++++++++++++++--------
 po/hu.po          | 150 +++++++++++++++++--------
 po/hy.po          | 150 +++++++++++++++++--------
 po/id.po          | 153 +++++++++++++++++---------
 po/ig.po          | 150 +++++++++++++++++--------
 po/is.po          | 150 +++++++++++++++++--------
 po/it.po          | 151 +++++++++++++++++--------
 po/ja.po          | 150 +++++++++++++++++--------
 po/ka.po          | 150 +++++++++++++++++--------
 po/kk.po          | 150 +++++++++++++++++--------
 po/kn.po          | 150 +++++++++++++++++--------
 po/ko.po          | 152 ++++++++++++++++---------
 po/ku.po          | 150 +++++++++++++++++--------
 po/ky.po          | 150 +++++++++++++++++--------
 po/lt.po          | 151 +++++++++++++++++--------
 po/lv.po          | 150 +++++++++++++++++--------
 po/mai.po         | 150 +++++++++++++++++--------
 po/mg.po          | 150 +++++++++++++++++--------
 po/mk.po          | 150 +++++++++++++++++--------
 po/ml.po          | 150 +++++++++++++++++--------
 po/mn.po          | 150 +++++++++++++++++--------
 po/mr.po          | 150 +++++++++++++++++--------
 po/ms.po          | 150 +++++++++++++++++--------
 po/nb.po          | 150 +++++++++++++++++--------
 po/nds.po         | 150 +++++++++++++++++--------
 po/ne.po          | 150 +++++++++++++++++--------
 po/nl.po          | 151 +++++++++++++++++--------
 po/nn.po          | 150 +++++++++++++++++--------
 po/nso.po         | 150 +++++++++++++++++--------
 po/oc.po          | 150 +++++++++++++++++--------
 po/or.po          | 150 +++++++++++++++++--------
 po/pa.po          | 150 +++++++++++++++++--------
 po/pl.po          | 152 ++++++++++++++++---------
 po/ps.po          | 150 +++++++++++++++++--------
 po/pt.po          | 153 +++++++++++++++++---------
 po/pt_BR.po       | 152 ++++++++++++++++---------
 po/ro.po          | 150 +++++++++++++++++--------
 po/ru.po          | 150 +++++++++++++++++--------
 po/si.po          | 150 +++++++++++++++++--------
 po/sk.po          | 154 +++++++++++++++++---------
 po/sl.po          | 152 ++++++++++++++++---------
 po/sq.po          | 150 +++++++++++++++++--------
 po/sr.po          | 324 ++++++++++++++++++++++++++++++++----------------------
 po/sr@latin.po    | 150 +++++++++++++++++--------
 po/sv.po          | 152 ++++++++++++++++---------
 po/ta.po          | 150 +++++++++++++++++--------
 po/te.po          | 150 +++++++++++++++++--------
 po/th.po          | 150 +++++++++++++++++--------
 po/tr.po          | 150 +++++++++++++++++--------
 po/ug.po          | 150 +++++++++++++++++--------
 po/uk.po          | 155 +++++++++++++++++---------
 po/ur.po          | 150 +++++++++++++++++--------
 po/uz.po          | 150 +++++++++++++++++--------
 po/vi.po          | 150 +++++++++++++++++--------
 po/wa.po          | 150 +++++++++++++++++--------
 po/xh.po          | 150 +++++++++++++++++--------
 po/yo.po          | 150 +++++++++++++++++--------
 po/zh_CN.po       | 150 +++++++++++++++++--------
 po/zh_HK.po       | 150 +++++++++++++++++--------
 po/zh_TW.po       | 155 +++++++++++++++++---------
 po/zu.po          | 150 +++++++++++++++++--------
 103 files changed, 10703 insertions(+), 5126 deletions(-)

commit 47049eaad4650307650b904b3c44a8f1650bc49e
Author: Colomban Wendling <lists.ban@herbesfolles.org>
Date:   Tue Jan 20 18:45:34 2015 +0100

    MsmGnome: Fix and simplify logic

 mate-session/msm-gnome.c | 38 +++++++++++++++-----------------------
 1 file changed, 15 insertions(+), 23 deletions(-)

commit fe9ef7eca1b83272408bc2d137cffa55512bea3e
Author: infirit <infirit@gmail.com>
Date:   Tue Jan 13 14:11:10 2015 +0100

    MsmGnome: Allow users to disable compatibility options
    
    For example users may want to use a different ssh agent.
    
    Debian bug:https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=775189msmgnome: Allow users to disable one or both compatibility options

 data/org.mate.session.gschema.xml.in.in |  5 ++++
 mate-session/msm-gnome.c                | 41 +++++++++++++++++++++++++++++----
 2 files changed, 41 insertions(+), 5 deletions(-)

commit 3037f574e89e3b34a075adf804c562b5963b73b7
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 16 13:10:13 2014 +0100

    Revert "Revert "Drop support for Glib < 2.36""
    
    This reverts commit f61b93311585587b105748b77b4b7279b5699a3e.

 configure.ac                    | 2 +-
 mate-session/test-client-dbus.c | 4 ----
 2 files changed, 1 insertion(+), 5 deletions(-)

commit f61b93311585587b105748b77b4b7279b5699a3e
Author: infirit <infirit@gmail.com>
Date:   Tue Dec 16 12:19:23 2014 +0100

    Revert "Drop support for Glib < 2.36"
    
    This reverts commit e017ed5b24f91705facec821afdc066f7a3523b5.

 configure.ac                    | 2 +-
 mate-session/test-client-dbus.c | 4 ++++
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 7d3fbfa9e96b48e72e8f00681a6a28f83a768504
Author: Monsta <monsta@inbox.ru>
Date:   Sun Dec 14 12:51:12 2014 +0300

    avoid dereferencing NULL pointer

 mate-session/main.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 9cfd52ee10956ec506d2578199cf32ae205cf274
Author: monsta <monsta@inbox.ru>
Date:   Tue Nov 4 19:21:31 2014 +0300

    va_start should be paired with va_end

 egg/eggsmclient-xsmp.c | 1 +
 1 file changed, 1 insertion(+)

commit 321de1a610aeaff984eb4177dbb4fefd27b8a4f3
Author: monsta <monsta@inbox.ru>
Date:   Tue Oct 28 17:43:54 2014 +0300

    zero-init signals array

 egg/eggsmclient.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cb2c9df221c016789f867cb95f61db8f21db233d
Author: posophe <p.drouand@gmail.com>
Date:   Sun Nov 2 14:27:21 2014 +0100

    Update configure.ac

 configure.ac             | 39 +--------------------------------------
 mate-session/Makefile.am |  2 ++
 2 files changed, 3 insertions(+), 38 deletions(-)

commit 8fd72cfd68716694cc13074180b4dfce7c7c9ecd
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Nov 22 12:29:32 2014 +0100

    Bump version to 1.9.3

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 84339a5b2f6f47761bfe08cac86b530a104c27ca
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sat Nov 22 12:29:16 2014 +0100

    Sync translations with transifex

 po/ja.po | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit bfd71deec2b345ba1cbef98e3f4dfac052957c46
Author: infirit <infirit@gmail.com>
Date:   Tue Nov 18 22:03:29 2014 +0100

    logout-dialog: Fix stupid mistake in ccfc0f67de5e6b15a1c7e33f45c671bc2cebd4b4

 mate-session/gsm-logout-dialog.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 42c5b914135e2265e46c45abbb71ea819b07ab37
Author: monsta <monsta@inbox.ru>
Date:   Sat Nov 8 14:47:49 2014 +0300

    Properly init boolean variable and don't leak memory
    
    Closes https://github.com/mate-desktop/mate-session-manager/pull/67

 mate-session/gsm-dbus-client.c | 2 +-
 mate-session/gsm-util.c        | 3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 4b955633d160456b5494c077fc4fb55fade3731f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Nov 10 11:42:22 2014 +0100

    Disable upower support by default

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 0b80b78b9cddba9aa96fa86ec21aa79c7fa62763
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Mon Nov 10 11:06:16 2014 +0100

    Sync translations with transifex

 po/cs.po    | 24 +++++++++++++-----------
 po/en_GB.po |  6 +++---
 po/en_US.po | 21 +++++++++++----------
 3 files changed, 27 insertions(+), 24 deletions(-)

commit e837b655cb1aa62ac67956e09940181d39953060
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Nov 10 11:05:26 2014 +0100

    Bump version to 1.9.2

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 5e41f9d7426bfc388a8785f4e3804ae468015073
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 7 14:25:02 2014 +0100

    Add a commandline wrapper to inhibit idle
    
    Based on gnome-commit: fcdbf2b36b184f10239ac7a81cb3c88b4c5ed477
    From: Matthias Clasen <mclasen@redhat.com>

 doc/man/Makefile.am              |  20 +++-
 doc/man/mate-session-inhibit.xml |  92 +++++++++++++++
 po/POTFILES.in                   |   1 +
 tools/Makefile.am                |  14 ++-
 tools/mate-session-inhibit.c     | 242 +++++++++++++++++++++++++++++++++++++++
 5 files changed, 366 insertions(+), 3 deletions(-)

commit 1deaea538427f2dc9d3afdc37b9daf57c15a46cd
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 7 13:49:36 2014 +0100

    gsm: Refuse to install an idle timeout of 0 seconds
    
    This was making gnome-screensaver fade and blank the screen as soon as you
    stopped moving the mouse/using the keyboard when the timeout is set to 0.
    
    Based on gnome-session commit: be627c10409129408e135925d5dd83ae2d554fa0
    From: Rodrigo Moya <rodrigo@gnome-db.org>
    
    Original bug: https://bugs.launchpad.net/ubuntu/+source/gnome-control-center/+bug/863038

 mate-session/gsm-presence.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0da2caff6cb73d8dcd159fbeb37da60ad33c6003
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 7 13:40:30 2014 +0100

    gsm: Never mark as handled the Disconnected signal from dbus
    
    Disconnected is emitted when dbus is quitting. And all the dbus filters
    might be interested in this signal, so never mark it as handled when we
    look at it.
    
    Based on gnome-commit: 67dd879fbe62bc28d3bbc48b88c3842e2cb827e8
    From: Vincent Untz <vuntz@gnome.org>

 mate-session/gsm-consolekit.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d8019f52885d7f707af7e9afb4dda496c6a652f2
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 7 13:36:12 2014 +0100

    Fix usage of %lld for 64-bit formats
    
    Scott already did some work on this, update to how gnome-session handles this.
    
    Based on gnome-session commit: b2ad0abf2263b4af044388035df8993db9223a1b
    From: Owen W. Taylor <otaylor@fishsoup.net>

 mate-session/gs-idle-monitor.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 97a9f2c181817b09edd0783ed808dbd1ee49b36a
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 7 13:27:23 2014 +0100

    Add an IsSessionRunning method
    
    This gives clients who missed the SessionRunning signal a chance
    to find out if the session has entered the running phase, and
    lets us avoid race conditions.
    
    Based on gnome-session commit: b59d358796343f81b31d4a398998faedd20b8f4b
    From: Matthias Clasen <mclasen@redhat.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=636229

 mate-session/gsm-manager.c               | 11 +++++++++++
 mate-session/gsm-manager.h               |  4 ++++
 mate-session/org.mate.SessionManager.xml | 16 +++++++++++++++-
 3 files changed, 30 insertions(+), 1 deletion(-)

commit e98d698c4899ac91e2370252ab67ce91871a72a5
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 7 13:18:19 2014 +0100

    capplet: Do not pretend we need the egg code here
    
    Based on gnome-session commit: 0e45c5c15d0ffedf90af3ea401288d6a0f758383
    From: Vincent Untz <vuntz@gnome.org>

 capplet/Makefile.am             | 2 --
 capplet/gsm-properties-dialog.c | 1 -
 2 files changed, 3 deletions(-)

commit 2983b896864b9f004cadb5615eee3bd397f04633
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 7 13:14:44 2014 +0100

    capplet: remove unused variable

 capplet/gsm-app-dialog.c | 3 ---
 1 file changed, 3 deletions(-)

commit f44eb4db20fb1daff521deb742c1a4e88db3832a
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 7 13:12:23 2014 +0100

    gsm: Add gtk-doc comments for two GsmClient functions
    
    Based on gnome-session commit: ebf9afaa10c7903694df5b2fee635a6dde5213a6
    From: Vincent Untz <vuntz@gnome.org>

 mate-session/gsm-client.c | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 90fa18f8e2081340c17a1a7176d22cbd4f7c4d6d
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 7 13:10:17 2014 +0100

    gsm: Do not uselessly duplicate a string
    
    Based on gnome-session commit: 9f25b7599ba016f8da7275afa4c3f8e194678734
    From: Vincent Untz <vuntz@gnome.org>

 mate-session/gsm-xsmp-client.c | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit acbe76ca6d576c397112c08b86bb9c301102f4ab
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 7 12:59:59 2014 +0100

    gsm: Do not assume XSMP clients set the SmProgram property
    
    Since setting some properties can be skipped, there is no guarantee that
    SmProgram is set.
    
    Based on gnome-session commit: 35a9945ae1339297de2e0eeff543e876186dea6e
    From: Vincent Untz <vuntz@gnome.org>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=590828

 mate-session/gsm-xsmp-client.c | 23 ++++++++++++++++++++---
 1 file changed, 20 insertions(+), 3 deletions(-)

commit 50b6f0d9f4b8a47bb2886756cc337cd5ffe66338
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 7 12:49:36 2014 +0100

    Add missing #include <config.h>
    
    Based on gnome-session commit: b9fa0c8c9ff57f704d83dfd1f7b4ae0c19280edf
    From: Kjartan Maraas <kmaraas@gnome.org>

 capplet/gsp-app.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 1d7816517e0ac5a7f74ce51b2af9178b8dc91388
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 7 12:47:32 2014 +0100

    gsm: Fix race condition in idle monitor
    
    In _xsync_alarm_set(), the positive and negative transition intervals
    are set to the same value. However, the SYNC extension defines the
    positive transition as set when the counter goes from strictly below the
    threshold to greater than or equal to the threshold and similarly a
    negative transition is triggered when the counter goes form strictly
    greater than the threshold to less than or equal to the threshold.
    
    Thus in the current set up there's a chance that the positive transition
    can trigger, marking the session as idle, and some user input occur on
    the same click so the IDLETIME count will hit the threshold but not go
    above so the negative transition will not trigger. Thus the session will
    not be marked as active.
    
    The negative transition threshold should be set to 1ms less than the
    positive transition to ensure that it always fires.
    
    Based on gnome-session commit: 861313503a741f0129611ca005cf6d7c27124b54
    From: Christopher Halse Rogers <chalserogers@gmail.com>
    Gnome bug: https://bugzilla.gnome.org/show_bug.cgi?id=627903

 mate-session/gs-idle-monitor.c | 1 +
 1 file changed, 1 insertion(+)

commit ccfc0f67de5e6b15a1c7e33f45c671bc2cebd4b4
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 7 12:42:20 2014 +0100

    gsm: Support disable-user-switching lockdown setting in logout dialog
    
    Based on gnome-session commit:fa30b73948c50c2493e19565b4e3b14b40f985e1
    From: Vincent Untz <vuntz@gnome.org>

 mate-session/gsm-logout-dialog.c | 21 ++++++++++++++++-----
 1 file changed, 16 insertions(+), 5 deletions(-)

commit f3df23785148cb606557e860cf13c93a16a17758
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 7 12:31:25 2014 +0100

    gsm: Enforce disable-user-switching lockdown setting
    
    Based on gnome-session commit:  899fe6b1628cd2d86931632f72512bca04d2aeaf
    From: Vincent Untz <vuntz@gnome.org>

 mate-session/gsm-manager.c | 25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

commit b1d7d27360d4e718bad6a0455f796e7b2b7ed0d4
Author: infirit <infirit@gmail.com>
Date:   Fri Nov 7 12:30:29 2014 +0100

    lockdown: Add define for disable-log-out

 mate-session/gsm-manager.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 1d445c051f73d55fa4477ab19ba16af543c63007
Author: infirit <infirit@gmail.com>
Date:   Wed Nov 5 10:04:57 2014 +0100

    Bump mate-desktop version to 1.9.3 for log-out lockdown changes

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f3ad046b9abf2d52514527e483c92c4b791ab94c
Author: infirit <infirit@gmail.com>
Date:   Tue Nov 4 20:38:26 2014 +0100

    gsm: Also support disable-log-out for Shutdown/CanShutdown dbus methods
    
    On top of that, be a bit paranoid and ensure we don't log out in
    end_phase() by checking the lockdown setting there too.
    
    Based on gnome-session-commit: 107cfa7a4f6f43698407772e31472d742bdb219f
    From: Vincent Untz <vuntz@gnome.org>

 mate-session/gsm-manager.c | 40 ++++++++++++++++++++++++++++++----------
 1 file changed, 30 insertions(+), 10 deletions(-)

commit 5fe70eb9aa653c1218d9e420d369819e7d54a9c8
Author: infirit <infirit@gmail.com>
Date:   Tue Nov 4 20:26:50 2014 +0100

    Improve logout lockdown
    
    Taken from gnome-session commit: 1e3e0b475cfd352d4abe7ace4ee5a40be04a8b42
    From: Ray Strode <rstrode@redhat.com>

 mate-session/gsm-manager.c | 16 ++++++++++++++++
 mate-session/gsm-manager.h |  1 +
 2 files changed, 17 insertions(+)

commit 89dc9f01e88055d61245024d2e414727982c63e4
Author: infirit <infirit@gmail.com>
Date:   Tue Nov 4 19:58:45 2014 +0100

    manager: track full details of logout request
    
    When we get a logout request, there are two bits of information
    that come with the request:
    
    1) Whether or not we should seek confirmation by default from the user
    before proceeding
    2) Whether or not individual applications should be given an
    opportunity to ask us to seek confirmation from the user before
    proceeding.
    
    We track the latter in a boolean state variable (forceful_logout),
    but not the former.
    
    We already have an enumeration type (GsmManagerLogoutMode) that can
    be used to track both bits, though.
    
    This commit changes the boolean state variable to the enum type, so
    the whether-we-should-confirmation information is available deeper
    down in the logout process.
    
    Based on gnome-session commit: d7adaa9111d0f42d11225c7e29a7ee1d37d74d2f
    From: Ray Strode <rstrode@redhat.com>

 mate-session/gsm-manager.c | 73 ++++++++++++++++++++++++++--------------------
 1 file changed, 42 insertions(+), 31 deletions(-)

commit 5c371a408a4b71c718eb331c77edfc114fa4114f
Author: infirit <infirit@gmail.com>
Date:   Tue Nov 4 19:07:50 2014 +0100

    Replace gdk_set_sm_client_id with gdk_x11_set_sm_client_id
    
    gdk_x11_set_sm_client_id was added in Gtk+ 2.24

 egg/eggsmclient-xsmp.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 778ae13f16b024d230c6954548505757b52d0e2b
Author: infirit <infirit@gmail.com>
Date:   Tue Nov 4 18:50:08 2014 +0100

    manager: don't ever show inhibitor dialog if logout is forced
    
    If logout is forced, we don't want to show the inhibitor dialog.
    A forced logout is one that shouldn't be "cancelable".
    
    This commit prevents inhibitors from getting added if logout is
    forced.
    
    Based on gnome-session commit: bf1b6e8843b5e72d4f5a62a34eb322b82e33c2df
    From: Ray Strode <rstrode@redhat.com>

 mate-session/gsm-manager.c | 24 +++++++++++++++++++++---
 1 file changed, 21 insertions(+), 3 deletions(-)

commit 0b67ce2c762b1aabf12d3f4a80a5c902add5658c
Author: infirit <infirit@gmail.com>
Date:   Tue Nov 4 18:22:03 2014 +0100

    manager: remove client from query clients list on disconnect
    
    When the session manager enters the query end session phase,
    it temporarily adds all clients to the "query clients" list.
    
    This list is used to track the progression of clients quitting.
    
    If a client quits during the query end session phase instead
    of waiting until the end session phase, then it will get
    destroyed but not get removed from the query clients list.
    
    This commit removes it from the query clients list in this
    case. It does this by explicitly invoking the end session
    response handler (in effect, the client responded to the
    end session query by exiting).
    
    based on gnome-session commit: 8e6afcf1789c02692cf3b1ff3ee0a792d57e17a3
    From: Ray Strode <rstrode@redhat.com>

 mate-session/gsm-manager.c | 53 ++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 47 insertions(+), 6 deletions(-)

commit b78d5b0b2d494d550d88f869c7191597fc2623d8
Author: infirit <infirit@gmail.com>
Date:   Tue Nov 4 18:09:53 2014 +0100

    Use resizable property instead of allow-grow allow-shrink

 mate-session/gsm-inhibit-dialog.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 31d04419e1f358073b906177edda67d8858fc125
Author: infirit <infirit@gmail.com>
Date:   Tue Nov 4 17:19:46 2014 +0100

    gsettings: stop using g_settings_list_schemas()
    
    Based on gnome-session commit: 880379a8dd7181351ba49c579a5278d19eadc6b3
    From Ryan Lortie <desrt@desrt.ca>

 mate-session/gsm-autostart-app.c | 42 +++++++++++++++++++---------------------
 1 file changed, 20 insertions(+), 22 deletions(-)

commit 76b46abb26152fabd3cadcff9abe7d1a6e7481f8
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sun Oct 12 18:09:21 2014 +0200

    Sync translations with transifex

 po/be.po    |  9 +++++----
 po/cy.po    | 39 ++++++++++++++++++++-------------------
 po/en_AU.po |  8 ++++----
 po/et.po    | 43 ++++++++++++++++++++++---------------------
 po/ja.po    |  8 ++++----
 po/lt.po    | 33 +++++++++++++++++----------------
 6 files changed, 72 insertions(+), 68 deletions(-)

commit b0e2ffdb14058597a576861c5e936174560be510
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Mon Sep 29 11:24:50 2014 +0400

    gtk-3.14: invisible session properties dialog
    
    Fix invisible session properties dialog when running with gtk-3.14
    
    Closes https://github.com/mate-desktop/mate-session-manager/pull/63

 capplet/gsm-app-dialog.c        | 2 ++
 capplet/gsm-properties-dialog.c | 2 ++
 2 files changed, 4 insertions(+)

commit ca95cd34c5c6f9f9e5873b4732338e23c30988e8
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Mon Sep 29 08:44:00 2014 +0400

    Set XDG_CURRENT_DESKTOP if unset
    
    XDG_CURRENT_DESKTOP is used by glib >= 2.42 at g_desktop_app_info* functions
    
    Original GNOME commit: https://git.gnome.org/browse/gnome-session/commit/?id=1db085ce7e5197b28ab24a3ec54d888efe98fcb4
    Closes https://github.com/mate-desktop/mate-session-manager/pull/62

 mate-session/main.c | 3 +++
 1 file changed, 3 insertions(+)

commit 5536708199657d3c6ca358507c29a38fcf047e83
Merge: 9f04f5b 56a73b7
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Sep 22 11:37:11 2014 +0200

    Merge pull request #61 from monsta/patch-1
    
    Get rid of Gtk-WARNING **: Unknown property: GtkHBox.expand

commit 56a73b75e7f6d284e8481be1652e5e53ba1ef28b
Author: monsta <monsta@inbox.ru>
Date:   Sat Sep 13 13:59:46 2014 +0400

    Get rid of Gtk-WARNING **: Unknown property: GtkHBox.expand

 data/session-properties.ui | 1 -
 1 file changed, 1 deletion(-)

commit 9f04f5be860562d2908f0c147e0e8b22bb6996a6
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Jul 12 16:09:33 2014 +0200

    Add mate-desktop as dependency and use function from there

 configure.ac        |  2 ++
 mate-session/main.c | 39 +++------------------------------------
 2 files changed, 5 insertions(+), 36 deletions(-)

commit 72a1935f882ff450d19f56d0b8393c4d735ee708
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Jul 12 11:13:18 2014 +0200

    Add ability to enable/disable debug with GSettings

 mate-session/main.c | 58 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

commit ad90ed5acad435c056d12d5cf9e4480ca2e21e6a
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sat Jul 12 10:28:53 2014 +0200

    Sync translations with transifex

 po/de.po |  52 ++++++++--------
 po/eu.po |  24 ++++----
 po/hr.po | 202 +++++++++++++++++++++++++++++++--------------------------------
 po/pt.po |  58 +++++++++---------
 4 files changed, 168 insertions(+), 168 deletions(-)

commit 1cc02144b717d503fe285361f75819ca48089c79
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jul 8 11:43:04 2014 +0200

    Add key in GSettings schema to set logout timeout in seconds
    
    0 disables timeout

 data/org.mate.session.gschema.xml.in.in |  6 ++++++
 mate-session/gsm-logout-dialog.c        | 32 ++++++++++++++++++++++----------
 2 files changed, 28 insertions(+), 10 deletions(-)

commit 06778518d38fc40cd106ac1a2a525ee2f416dc10
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jul 1 20:03:31 2014 +0200

    Disable upower in distcheck

 Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 95d70cc516f957ebc8c26ff779491d13f542d832
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jul 1 19:19:37 2014 +0200

    Bump version to 1.9.1

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 9edc265c6ead6a2a30f73dc1693d312b06bf3099
Merge: e017ed5 196d401
Author: infirit <infirit@gmail.com>
Date:   Tue Jul 1 11:38:55 2014 +0200

    Merge branch 'versions' of github.com:dnk/mate-session-manager into dnk-versions

commit e017ed5b24f91705facec821afdc066f7a3523b5
Author: infirit <infirit@gmail.com>
Date:   Tue Jul 1 11:22:59 2014 +0200

    Drop support for Glib < 2.36

 configure.ac                    | 2 +-
 mate-session/test-client-dbus.c | 4 ----
 2 files changed, 1 insertion(+), 5 deletions(-)

commit 54d07d5becc1e2e967611c20f14c4dd5b5879be6
Merge: 7967013 67e67c4
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jul 1 10:14:30 2014 +0200

    Merge pull request #56 from dnk/restore_display_variable
    
    restore DISPLAY variable

commit 196d401a9766426c8ac334f5a8ff3a6f05020af8
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Tue Jul 1 09:59:05 2014 +0400

    bump glib and gtk required versions

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 67e67c468546c482221cc612270e793bac8ca272
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Tue Jul 1 09:50:14 2014 +0400

    restore DISPLAY variable

 mate-session/main.c | 1 +
 1 file changed, 1 insertion(+)

commit 796701300b69c4b008f92e55cd11cf8edc3497eb
Author: infirit <infirit@gmail.com>
Date:   Sun May 18 00:05:00 2014 +0200

    Use gdk_display* functions for both gtk+2 and gtk+3
    
    The following functions are available in version 2 and 3.
    gdk_display_get_default
    GDK_DISPLAY_XDISPLAY
    gdk_display_get_name
    gdk_display_get_default

 mate-session/main.c      | 12 ------------
 mate-session/msm-gnome.c |  9 ---------
 2 files changed, 21 deletions(-)

commit 1f3832e19b9e40f332999f3622d55a13efcd3b7b
Author: infirit <infirit@gmail.com>
Date:   Sun May 18 00:01:57 2014 +0200

    Always use g_spawn_command_line_sync

 mate-session/gsm-manager.c | 12 ------------
 1 file changed, 12 deletions(-)

commit 571a263ee76edf93ef466fd636792761d6d44484
Author: infirit <infirit@gmail.com>
Date:   Sat May 17 23:57:14 2014 +0200

    Drop support for gtk+ < 2.24

 egg/eggdesktopfile.c | 8 --------
 1 file changed, 8 deletions(-)

commit 1600fa4abec583748d1dc8ac60bde4d8984f8460
Author: infirit <infirit@gmail.com>
Date:   Sat May 17 23:53:32 2014 +0200

    Remove all calls to gtk_dialog_set_has_separator

 capplet/gsm-app-dialog.c          | 3 ---
 capplet/gsm-properties-dialog.c   | 3 ---
 mate-session/gsm-inhibit-dialog.c | 3 ---
 3 files changed, 9 deletions(-)

commit b9e942a31dbe32c1292af927dd40606d516bc503
Author: infirit <infirit@gmail.com>
Date:   Sat May 17 23:46:12 2014 +0200

    GtkTargetEntry has been in gtk+ since 2.10

 capplet/gsm-properties-dialog.c | 11 -----------
 1 file changed, 11 deletions(-)

commit 4322d7eaaf96f52ba5413ee9e3dfab95ee3f95bd
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Apr 30 18:46:26 2014 +0200

    Revert "Allow to build with upower 0.99"
    
    This reverts commit 80be90bb422ef8cb5a28c7ff3fe2a337dce8c368.

 mate-session/gsm-logout-dialog.c |  8 ++++----
 mate-session/gsm-manager.c       | 12 ++++++------
 2 files changed, 10 insertions(+), 10 deletions(-)

commit 43c97d4cff1ec3fe0253cf73003ec7b36cfdc7d0
Author: mate-i18n <mate-i18n@ml.mate-desktop.org>
Date:   Sun Apr 27 14:20:34 2014 +0200

    Sync translations with transifex

 po/de.po |  6 +++---
 po/hu.po |  7 ++++---
 po/lt.po |  7 ++++---
 po/pt.po |  8 ++++----
 po/sv.po | 19 ++++++++++---------
 5 files changed, 25 insertions(+), 22 deletions(-)

commit 80be90bb422ef8cb5a28c7ff3fe2a337dce8c368
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Apr 22 18:44:37 2014 +0200

    Allow to build with upower 0.99

 mate-session/gsm-logout-dialog.c |  8 ++++----
 mate-session/gsm-manager.c       | 12 ++++++------
 2 files changed, 10 insertions(+), 10 deletions(-)

commit a73419b7c73cf840ad76b6110f178b1156612bf9
Merge: 522a3ad d56f04c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Apr 21 13:42:45 2014 +0200

    Merge pull request #51 from ikem-krueger/patch-1
    
    Update org.mate.SessionManager.xml

commit 522a3ade8315991f8fec2be302131db026d14732
Author: infirit <infirit@gmail.com>
Date:   Fri Apr 18 21:16:05 2014 +0200

    Typo fix in man pages, close #52
    
    Patch by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

 doc/man/mate-session-properties.1 | 2 +-
 doc/man/mate-session-save.1       | 2 +-
 doc/man/mate-session.1            | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit d56f04ceb159d157d2058543787187ed99436994
Author: ikem-krueger <ikem.krueger@googlemail.com>
Date:   Tue Apr 8 16:52:19 2014 +0200

    Update org.mate.SessionManager.xml
    
    Fixed a typo.

 mate-session/org.mate.SessionManager.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ad171bfe8696f7ea80fe64cdfbb8bdeeefb41d00
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Mar 27 14:27:58 2014 +0100

    Fix progress bar usage with GTK3

 mate-session/gsm-logout-dialog.c | 3 +++
 1 file changed, 3 insertions(+)

commit db10b7d3438502bd7f0b84b36c8a205103951d73
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 22 15:57:43 2014 +0100

    Bump version to 1.9.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit e4b00b9f577da1a8f74325b3a9af77013d9a2871
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 22 15:57:21 2014 +0100

    Sync translations with transifex

 po/be.po |  34 ++++++++++----------
 po/pt.po | 106 ++++++++++++++++++++++++++++++++-------------------------------
 2 files changed, 71 insertions(+), 69 deletions(-)

commit 1ebfda491775364cd3476989f12f8de120f695cf
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 15 14:38:41 2014 +0100

    Bump version to 1.8.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eccb133a83cf238fba5481ac1d1f005aaac08001
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 15 14:38:30 2014 +0100

    Sync translations with transifex

 po/id.po    | 15 ++++++++-------
 po/ro.po    |  7 ++++---
 po/zh_CN.po | 15 ++++++++-------
 3 files changed, 20 insertions(+), 17 deletions(-)

commit 79dfffec8b3ef5c2e09afe67e75d12122f4c0b7a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Mar 10 11:57:16 2014 +0100

    Update NEWS

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 480e52cf2641370a3c9f36a1e7f4ae8d065fb154
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 9 22:22:37 2014 +0100

    Add autostart of accessibility apps

 mate-session/main.c | 69 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 69 insertions(+)

commit 5d80fd351b650f467e063d57d8eca8b42700a9a9
Merge: a467222 4e0fec5
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Mar 7 00:08:41 2014 +0100

    Merge pull request #50 from cygwinports/master
    
    Fix build with --disable-upower

commit 4e0fec5a1833324cbc74a59e0b285971e4b6ad9e
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Wed Mar 5 10:51:15 2014 -0600

    Fix build with --disable-upower

 configure.ac | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit a467222c3a66b4b8c2cc64b76cc97cc3c2262919
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 1 11:34:41 2014 +0100

    Bump version to 1.8.0

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 45f18961071bf0aec778489fb824721d590a8ee9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Mar 1 11:34:19 2014 +0100

    Sync translations with transifex

 po/be.po | 139 ++++++++++++++++++++++++++++++++-------------------------------
 po/ko.po |  29 ++++++-------
 po/ms.po |  16 ++++----
 3 files changed, 93 insertions(+), 91 deletions(-)

commit 7b328e346a8f0937cb00cbdab9ed643d8367b801
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Feb 23 18:33:32 2014 +0100

    Sync translations with transifex

 po/LINGUAS  |   1 +
 po/en_US.po | 474 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/es.po    |  20 +--
 po/hu.po    |  26 ++--
 po/sk.po    |  28 ++--
 5 files changed, 513 insertions(+), 36 deletions(-)

commit 84fd9ada626562f342714a3400ea1b7abcb7ce35
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Feb 19 22:59:13 2014 +0100

    Sync translations with transifex

 po/am.po    |  8 ++++----
 po/da.po    | 19 ++++++++++---------
 po/de.po    | 19 ++++++++++---------
 po/en_AU.po | 20 ++++++++++----------
 po/en_GB.po | 19 ++++++++++---------
 po/pl.po    | 24 +++++++++++++-----------
 po/pt_BR.po | 14 +++++++-------
 po/sl.po    |  2 +-
 po/zh_TW.po | 15 ++++++++-------
 9 files changed, 73 insertions(+), 67 deletions(-)

commit e05f4e27ad7be7668e9221e83b48228923064b01
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 18 19:06:27 2014 +0100

    Bump version to 1.7.90

 NEWS         | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c11b5addb1f5e327920e89ddd4ba1d730d209477
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 18 19:06:07 2014 +0100

    Update NEWS

 NEWS | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit b1166d1ff16a9ff835b34c457aea4a43333256d1
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 18 19:03:18 2014 +0100

    Sync translations with transifex

 po/af.po          |  739 +++++++++++++++++++-------------------
 po/am.po          |  168 +++++----
 po/ar.po          |  202 ++++++-----
 po/as.po          |  431 +++++++++-------------
 po/ast.po         |  598 ++++++++++++------------------
 po/az.po          |  734 +++++++++++++++++++------------------
 po/be.po          |  824 +++++++++---------------------------------
 po/bg.po          |  349 +++++++++---------
 po/bn.po          |  408 +++++++++------------
 po/bn_IN.po       |  358 +++++++++---------
 po/br.po          |  388 ++++++++++----------
 po/bs.po          |  755 +++++++++++++++++++-------------------
 po/ca.po          |  955 +++++++++---------------------------------------
 po/ca@valencia.po |  951 +++++++++---------------------------------------
 po/cmn.po         |  178 +++++----
 po/crh.po         |  424 +++++++++-------------
 po/cs.po          |  352 +++++++++---------
 po/cy.po          |  763 +++++++++++++++++++--------------------
 po/da.po          |  451 +++++++++--------------
 po/de.po          |  194 +++++-----
 po/dz.po          |  869 ++++++++++++++++++--------------------------
 po/el.po          |  448 +++++++++--------------
 po/en_AU.po       |  182 +++++-----
 po/en_CA.po       |  866 ++++++++++++++++++--------------------------
 po/en_GB.po       |  790 ++++++++--------------------------------
 po/eo.po          |  446 +++++++++--------------
 po/es.po          |  182 +++++-----
 po/es_MX.po       |  182 +++++-----
 po/et.po          |  313 +++++++++-------
 po/eu.po          |  402 +++++++++------------
 po/fa.po          |  761 ++++++++++++++++++---------------------
 po/fi.po          |  473 ++++++++++--------------
 po/fr.po          |  369 +++++++++----------
 po/fur.po         |  887 ++++++++++++++++++---------------------------
 po/fy.po          |  449 +++++++++--------------
 po/ga.po          |  377 +++++++++----------
 po/gl.po          |  181 +++++-----
 po/gu.po          |  392 +++++++++-----------
 po/ha.po          |  755 +++++++++++---------------------------
 po/he.po          |  710 ++++++++----------------------------
 po/hi.po          |  421 +++++++++-------------
 po/hr.po          |  172 +++++----
 po/hu.po          |  350 +++++++++---------
 po/hy.po          |  743 +++++++++++++++++++-------------------
 po/id.po          |  359 ++++++++-----------
 po/ig.po          |  745 +++++++++++---------------------------
 po/is.po          |  734 +++++++++++++++++++------------------
 po/it.po          |  451 +++++++++--------------
 po/ja.po          |  415 +++++++++------------
 po/ka.po          |  747 +++++++++++---------------------------
 po/kk.po          |  168 +++++----
 po/kn.po          |  525 ++++++++-------------------
 po/ko.po          |  413 +++++++++------------
 po/ku.po          |  832 +++++++++++-------------------------------
 po/ky.po          |  170 +++++----
 po/lt.po          |  413 +++++++++------------
 po/lv.po          |  186 +++++-----
 po/mai.po         |  338 ++++++++---------
 po/mg.po          |  737 +++++++++++++++++++------------------
 po/mk.po          |  548 +++++++++++-----------------
 po/ml.po          |  424 +++++++++-------------
 po/mn.po          |  747 +++++++++++++++++++-------------------
 po/mr.po          |  370 +++++++++----------
 po/ms.po          |  178 +++++----
 po/nb.po          |  319 ++++++++--------
 po/nds.po         |  348 ++++++++----------
 po/ne.po          |  854 ++++++++++++++++++-------------------------
 po/nl.po          |  449 ++++++++---------------
 po/nn.po          |  924 +++++++++--------------------------------------
 po/nso.po         |  744 +++++++++++++++++++-------------------
 po/oc.po          |  809 ++++++++++++++++-------------------------
 po/or.po          |  384 +++++++++-----------
 po/pa.po          |  486 ++++++++-----------------
 po/pl.po          |  347 ++++++++----------
 po/ps.po          |  460 ++++++++++--------------
 po/pt.po          |  948 +++++++++++-------------------------------------
 po/pt_BR.po       |  453 +++++++++--------------
 po/ro.po          |  404 +++++++++------------
 po/ru.po          |  185 +++++-----
 po/si.po          |  802 ++++++++++++++++++-----------------------
 po/sk.po          |  230 ++++++------
 po/sl.po          |  180 +++++-----
 po/sq.po          |  854 ++++++++++++++++++-------------------------
 po/sr.po          |  826 +++++++++---------------------------------
 po/sr@latin.po    |  826 +++++++++---------------------------------
 po/sv.po          |  431 +++++++++-------------
 po/ta.po          |  428 ++++++++--------------
 po/te.po          |  393 +++++++++-----------
 po/th.po          |  796 ++++++++--------------------------------
 po/tr.po          |  769 +++++++++------------------------------
 po/ug.po          | 1037 ++++++++++++++++++++++++-----------------------------
 po/uk.po          |  185 +++++-----
 po/ur.po          |  176 +++++----
 po/uz.po          |  456 +++++++++++------------
 po/vi.po          |  494 ++++++++++++-------------
 po/wa.po          |  753 +++++++++++++++++++-------------------
 po/xh.po          |  752 +++++++++++++++++++-------------------
 po/yo.po          |  747 +++++++++++---------------------------
 po/zh_CN.po       |  409 ++++++++-------------
 po/zh_HK.po       |  763 ++++++++-------------------------------
 po/zh_TW.po       |  770 ++++++++-------------------------------
 po/zu.po          |  743 +++++++++++++++++++-------------------
 102 files changed, 20075 insertions(+), 33301 deletions(-)

commit 9e02632a1adb6fe53c79839b21cbce4ac0174e5e
Merge: 1ef1de0 e5c4215
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 18 14:09:37 2014 +0100

    Merge pull request #49 from dnk/gtk3
    
    fix gtk3 warnings

commit e5c421516ea2362f73b764430abafa3e93c6a9e6
Author: Denis Gorodnichev <denis.gorodnichev@gmail.com>
Date:   Tue Feb 18 12:42:10 2014 +0400

    fix gtk3 warnings

 capplet/gsp-app.c                |  2 +-
 data/session-properties.ui       |  1 +
 mate-session/gsm-logout-dialog.c |  4 ++++
 mate-session/gsm-systemd.c       |  2 +-
 mate-session/main.c              | 10 ++++++++++
 5 files changed, 17 insertions(+), 2 deletions(-)

commit 1ef1de009cf1303a92a34104766dd29d3726be46
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Feb 17 21:31:01 2014 +0100

    Add keywords in desktop files
    
    Closes https://github.com/mate-desktop/mate-session-manager/issues/47

 data/mate-session-properties.desktop.in.in | 1 +
 data/mate-wm.desktop.in.in                 | 1 +
 data/mate.desktop.in                       | 1 +
 3 files changed, 3 insertions(+)

commit 851092258498b7a8f526726d117a78c12fbf5513
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 17 15:55:42 2014 +0100

    Show a progress bar in logout dialog

 mate-session/gsm-logout-dialog.c | 48 ++++++++++++++++++++++------------------
 1 file changed, 27 insertions(+), 21 deletions(-)

commit f81293abbae8885771f5d5c78e14da1d4bde15a0
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 17 10:44:07 2014 +0100

    configure: Add check-news

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a5598d73e239886f892f012162b02d2533bd4932
Author: hekel <hekel@archlinux.info>
Date:   Mon Feb 17 10:43:48 2014 +0100

    Update manpages

 doc/man/mate-session-properties.1 |  50 +++++++++++----
 doc/man/mate-session-save.1       |  88 ++++++++++++++++++---------
 doc/man/mate-session.1            | 125 ++++++++++++++++++++------------------
 doc/man/mate-wm.1                 |  73 +++++++++++-----------
 4 files changed, 200 insertions(+), 136 deletions(-)

commit 0310a0df1051e485af4de0f6881b40f2335fa3b0
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 17 09:25:56 2014 +0100

    MATE Foundation => GNOME Foundation
    
    Closes https://github.com/mate-desktop/mate-session-manager/issues/46

 po/en@shaw.po           | 2 +-
 po/en_CA.po             | 2 +-
 po/gnome-copyrights.txt | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 48e218a794786549c9d238addf4fb5b52827adc8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Feb 12 12:29:41 2014 +0100

    capplet: Filter list with only the apps that can be launched in MATE

 capplet/gsp-app.c | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

commit e895de34218535f81b0bf2452578163eeece4663
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Feb 11 10:58:46 2014 +0100

    Include autogen.sh in tarball

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 2470c103f11d7fe163c53132678a943612ae69ce
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Feb 9 20:52:00 2014 +0100

    Bump version to 1.7.2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e9994f158383edc8912aa45834090f321c423a73
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Feb 9 20:51:41 2014 +0100

    Sync translations with transifex

 po/LINGUAS  |   6 +
 po/am.po    | 672 ++++++++++++++++++++++----------------------
 po/ar.po    | 348 ++++++++---------------
 po/cmn.po   | 478 ++++++++++++++++++++++++++++++++
 po/de.po    | 744 +++++++++----------------------------------------
 po/en_AU.po | 476 ++++++++++++++++++++++++++++++++
 po/es.po    | 403 +++++++++------------------
 po/es_MX.po | 476 ++++++++++++++++++++++++++++++++
 po/gl.po    | 323 +++++++++-------------
 po/hr.po    | 902 +++++++++++++++---------------------------------------------
 po/kk.po    | 474 ++++++++++++++++++++++++++++++++
 po/ky.po    | 475 ++++++++++++++++++++++++++++++++
 po/lv.po    | 350 +++++++++--------------
 po/ms.po    | 768 +++++++++++++++++++++++++--------------------------
 po/ru.po    | 235 ++++++++--------
 po/sk.po    | 676 +++++++++------------------------------------
 po/sl.po    | 350 ++++++++++-------------
 po/uk.po    | 373 +++++++++----------------
 po/ur.po    | 475 ++++++++++++++++++++++++++++++++
 19 files changed, 4938 insertions(+), 4066 deletions(-)

commit 5ac05f61c416cae95f5e33bb30fff7f8340b85db
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Feb 9 20:51:29 2014 +0100

    Fix transifex configuration file

 .tx/config | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 49475bd800a0b9cc010761509657d7def8a1cb05
Author: infirit <infirit@gmail.com>
Date:   Thu Feb 6 21:59:06 2014 +0100

    Fix AM_CONDITIONAL for upower

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e4a961bed8384ea55069f8d32330ca681cd30840
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jan 15 16:06:38 2014 +0100

    Bump version to 1.7.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 319a0013d21b68897ee94164b49ef208c6599663
Merge: dce0ac5 89a84d5
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Jan 6 02:48:43 2014 -0800

    Merge pull request #43 from infirit/master
    
    Add  to ACLOCAL_AMFLAGS for user added flags

commit 89a84d569819ef9acc8b5f1f1b6cf0655e45cf19
Author: infirit <infirit@gmail.com>
Date:   Sun Jan 5 14:05:16 2014 +0100

    Add  to ACLOCAL_AMFLAGS for user added flags

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dce0ac553facd6a8f4ae6ae5cb3e47fa8e4a5bf2
Merge: c38e25c 86e4297
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Nov 14 13:34:05 2013 -0800

    Merge pull request #39 from NiceandGently/dev-GTK3
    
    GTK3: fix some compile warnings

commit 86e4297c9fc01407a2fa00338a02548611ce9056
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Nov 14 21:54:05 2013 +0100

    GTK3: Fix compile warning by using gdk_error_trap_pop_ignored()

 mate-session/gsm-inhibit-dialog.c |  8 ++++++++
 mate-session/msm-gnome.c          | 10 ++++++++--
 2 files changed, 16 insertions(+), 2 deletions(-)

commit 34033a68cee187e1d3d421d941488075d13b479d
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Nov 14 21:42:27 2013 +0100

    GTK3: fix compile warning 'gtk_target_table_new_from_list' differ in signedness [-Wpointer-sign]

 capplet/gsm-properties-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c38e25ccb5f77ae4bfca9a43e54b4554220bdba9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Nov 7 19:38:44 2013 +0100

    Make upower optional
    
    This commit is just an improved version of the pull request by Wolfgang Ulbrich
    at https://github.com/mate-desktop/mate-session-manager/pull/38
    making it working with both upower and systemd, and improving configure part

 configure.ac                     | 20 +++++++++++++++++++-
 mate-session/Makefile.am         |  2 ++
 mate-session/gsm-logout-dialog.c | 25 ++++++++++++++++++-------
 mate-session/gsm-manager.c       | 35 ++++++++++++++++++++++++-----------
 4 files changed, 63 insertions(+), 19 deletions(-)

commit c17333cbd562c8021ad152b6a41d7eaa46617719
Merge: e7f6acc 2c5a103
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Nov 6 10:17:31 2013 -0800

    Merge pull request #35 from NiceandGently/master
    
    session: support_autostart_delay

commit e7f6acc91eb1321bdb8fcb77194c18365a7d680a
Merge: 6c8051b 58130d0
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Oct 31 13:28:00 2013 -0700

    Merge pull request #36 from infirit/master
    
    Remove some leftover files

commit 58130d0899cd265bcbc6bdfae0266470c0181186
Author: infirit <infirit@gmail.com>
Date:   Thu Oct 31 21:23:47 2013 +0100

    Remove autogenerated file

 depcomp | 630 ----------------------------------------------------------------
 1 file changed, 630 deletions(-)

commit 6bda94c1b4189d6873abfd977e45e48b82f8260f
Author: infirit <infirit@gmail.com>
Date:   Thu Oct 31 21:23:20 2013 +0100

    Remove disto dir

 distro/archlinux/PKGBUILD                     | 38 ---------------------------
 distro/archlinux/mate-session-manager.install | 22 ----------------
 2 files changed, 60 deletions(-)

commit 2c5a103b59a53d5fb586572e38d65e7afb5ecb44
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Oct 31 01:39:36 2013 +0100

    session: support_autostart_delay

 egg/eggdesktopfile.c             | 10 ++++++++
 egg/eggdesktopfile.h             |  3 +++
 mate-session/gsm-app.c           | 13 ++++++++++
 mate-session/gsm-app.h           |  2 ++
 mate-session/gsm-autostart-app.c | 23 +++++++++++++++++
 mate-session/gsm-autostart-app.h |  1 +
 mate-session/gsm-manager.c       | 54 ++++++++++++++++++++++++++++++++++------
 7 files changed, 98 insertions(+), 8 deletions(-)

commit 6c8051b0d0c020a450a9cfe43600444f4d600d1c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Oct 26 12:40:01 2013 +0200

    Bump version to 1.7.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a8b56a115d2f456d56971a21e98b91e847627f5b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Oct 26 11:57:56 2013 +0200

    Add GTK3 support to gnome keyring module

 mate-session/msm-gnome.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 8a20baf39f781184d6126e0947e9fd4d9a115fab
Merge: 4d6d9c4 ab8bb49
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Oct 26 11:42:54 2013 +0200

    Merge branch 'dev-gnome-keyring'

commit 4d6d9c41ce8f09d688bc8cd259918437aedc48ae
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Oct 15 15:08:03 2013 +0200

    Fix return value in void functions

 mate-session/gsm-systemd.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 954585510854675bdfdf229b177a4e5f778645e7
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Oct 15 15:07:24 2013 +0200

    Fix g_type_init deprecation

 mate-session/test-client-dbus.c | 2 ++
 1 file changed, 2 insertions(+)

commit 2725ff7ec27f0158bc3d6bb118e5e5649180e474
Author: Scott Balneaves <sbalneav@ltsp.org>
Date:   Wed Jun 12 09:18:36 2013 -0500

    Systemd support: session_id is char*, not int

 mate-session/gsm-systemd.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit ab8bb496dcf6abd4fcacc88ea7e1841b6e7905d4
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Oct 15 14:43:01 2013 +0200

    Add code to start gnome-keyring with proper env vars
    
    Code comes from xfce4-session

 mate-session/Makefile.am |   2 +
 mate-session/main.c      |   6 ++
 mate-session/msm-gnome.c | 246 +++++++++++++++++++++++++++++++++++++++++++++++
 mate-session/msm-gnome.h |  30 ++++++
 4 files changed, 284 insertions(+)

commit b53f83e1fcd8929b9e9275eae098308df2ab5906
Merge: f37bbe8 f0b5b1a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Sep 12 10:45:43 2013 -0700

    Merge pull request #30 from NiceandGently/master
    
    fix systemd-login1 support for hibernate/suspend

commit f0b5b1ab78879d64f80117415aacf029359afea5
Author: raveit65 <chat-to-me@raveit.de>
Date:   Thu Sep 12 17:42:23 2013 +0200

    fix systemd-login1 support for hibernate/suspend

 mate-session/gsm-logout-dialog.c |  20 +++++-
 mate-session/gsm-manager.c       |  34 ++++++++++
 mate-session/gsm-systemd.c       | 135 +++++++++++++++++++++++++++++++++++++++
 mate-session/gsm-systemd.h       |   8 +++
 4 files changed, 195 insertions(+), 2 deletions(-)

commit f37bbe895ebe09cfa468884973aca490e7a6785e
Merge: 165b40b 39d709b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Aug 3 09:43:53 2013 -0700

    Merge pull request #29 from infirit/master
    
    Replace ghelp: with help: for user-guide

commit 39d709ba1915e2eae97b1df89b8652fb23ca8ad8
Author: infirit <infirit@gmail.com>
Date:   Thu Aug 1 13:02:54 2013 +0200

    Replace ghelp: with help: for user-guide

 capplet/main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 165b40bbf65b538c5b642ee52d0280e5e9ad4e62
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jul 26 15:29:36 2013 +0200

    capplet: Add support for GTK3

 capplet/gsm-app-dialog.c        |  2 ++
 capplet/gsm-properties-dialog.c | 15 +++++++++++++++
 2 files changed, 17 insertions(+)

commit 22223bf64027da1dbfb8435a7e410f146a94bbd8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jul 26 15:29:18 2013 +0200

    mate-session: Add support for GTK3

 mate-session/gsm-inhibit-dialog.c | 116 +++++++++++++++++++++++++-------------
 mate-session/gsm-manager.c        |   8 +++
 mate-session/test-inhibit.c       |   5 ++
 3 files changed, 89 insertions(+), 40 deletions(-)

commit be18c20c9ec7de9a18e9bec1bb076c092ecc8a31
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jul 25 17:53:36 2013 +0200

    Dont include gdkconfig.h in GTK3

 egg/eggsmclient-private.h | 3 +++
 1 file changed, 3 insertions(+)

commit b00ce6d2189e0ec7fe4466550bbb8b9265d98833
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jul 25 17:41:52 2013 +0200

    Bump version to 1.6.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9df79abe7895b22fd251ddbfccc6896e299c326f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jul 25 17:40:46 2013 +0200

    Fixes for make dist and make distcheck

 configure.ac                    | 4 ++--
 data/Makefile.am                | 4 +++-
 data/icons/16x16/Makefile.am    | 3 +++
 data/icons/22x22/Makefile.am    | 3 +++
 data/icons/24x24/Makefile.am    | 3 +++
 data/icons/32x32/Makefile.am    | 3 +++
 data/icons/48x48/Makefile.am    | 3 +++
 data/icons/scalable/Makefile.am | 3 +++
 po/POTFILES.in                  | 2 +-
 po/POTFILES.skip                | 3 ++-
 10 files changed, 26 insertions(+), 5 deletions(-)

commit 48e5d58c141f70aa9f334bfafba9915fda07959f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Jul 11 15:38:19 2013 +0200

    Fix tabs

 mate-session/main.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit dba25d0e45128b297b76c33e78f3e4615171da5f
Merge: da13489 1bfa3e8
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jul 10 12:20:16 2013 -0700

    Merge pull request #28 from lxnay/master
    
    Use LOGIND_RUNNING() macro instead of sd_booted(), drop libsystemd-daemon dependency

commit 1bfa3e834d64e35b98474b75702487908684321b
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jul 10 16:36:43 2013 +0200

    Drop sd-daemon.h and libsystemd-daemon dependency, no longer used

 configure.ac                     | 2 +-
 mate-session/gsm-logout-dialog.c | 1 -
 mate-session/gsm-manager.c       | 1 -
 mate-session/main.c              | 1 -
 4 files changed, 1 insertion(+), 4 deletions(-)

commit 4213aa6562ef0ee8f19f8cd111a739a0febaa4e6
Author: Fabio Erculiani <lxnay@sabayon.org>
Date:   Wed Jul 10 14:50:24 2013 +0200

    Use LOGIND_RUNNING() rather than sd_booted()

 mate-session/gsm-logout-dialog.c | 10 +++++-----
 mate-session/gsm-manager.c       | 14 +++++++-------
 mate-session/gsm-systemd.h       |  3 +++
 mate-session/main.c              |  2 +-
 4 files changed, 16 insertions(+), 13 deletions(-)

commit da13489e6b1f6f015a684c9b2c0d30297485952a
Author: Scott Balneaves <sbalneav@mate-desktop.org>
Date:   Fri May 24 14:47:56 2013 -0500

    Initialize gsettings before starting mate-session-manager

 data/org.mate.session.gschema.xml.in.in |  5 +++++
 mate-session/main.c                     | 29 +++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

commit 9557bf37246c71393e55c1fff38c322e47d3f12c
Merge: 7d85a1e 3937e66
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue May 7 13:33:38 2013 -0700

    Merge pull request #25 from dmashal/master
    
    Update for new automake

commit 3937e66987beff38e62048836f0d8db0d081600e
Author: Dan Mashal <dan.mashal@fedoraproject.org>
Date:   Tue May 7 12:25:49 2013 -0700

    Update for automake 1.13

 egg/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7d85a1e6087caab688146a54891c2dd2c468b6f7
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Apr 13 18:32:05 2013 +0200

    Use synchronous DBus call to switch user in LightDM

 mate-session/gsm-manager.c | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit aca91616f1c9845d860768f0f4d321cfdc515c62
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Apr 13 14:04:34 2013 +0200

    Add support to switch user with LightDM
    http://bazaar.launchpad.net/~lightdm-team/lightdm/trunk/view/head:/utils/gdmflexiserver
    Closes #22 (https://github.com/mate-desktop/mate-session-manager/issues/22)

 mate-session/gsm-manager.c | 86 ++++++++++++++++++++++++++++++++++++----------
 1 file changed, 67 insertions(+), 19 deletions(-)

commit 416d2ccbd5158dc4b49e89a9c88c96382b29c5eb
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 31 22:55:05 2013 +0200

    Bump version to 1.6.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dd45530acc9cda58f6b03ed179b41f36e80baf76
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Mar 29 19:42:48 2013 +0100

    Add empty ChangeLog to allow build from git

 ChangeLog | 2 ++
 1 file changed, 2 insertions(+)

commit 6c740efa330d39d3170f0b712e4ef48b52becf28
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Sun Mar 24 16:33:17 2013 -0400

    "Removed ChangeLog"

 ChangeLog | 517 --------------------------------------------------------------
 1 file changed, 517 deletions(-)

commit ba201b21b77af3ae5a39052e661365962c5be1dd
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Mar 22 20:32:36 2013 +0100

    Bump version to 1.5.2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ce5268443f23f58fd73805011618e3f35dee4f14
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Mar 22 20:27:21 2013 +0100

    Add transifex configuration file

 .tx/config | 7 +++++++
 1 file changed, 7 insertions(+)

commit 47f16b0e81dafa2df9d2fc30cdc775969c167587
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Mar 22 20:26:32 2013 +0100

    Increase phase timeout to 30 seconds

 mate-session/gsm-manager.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f71658951b1dae40c120ebddea4d5810fd917669
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Mar 7 21:58:24 2013 +0100

    Remove a wrong g_free in systemd code

 mate-session/gsm-systemd.c | 2 --
 1 file changed, 2 deletions(-)

commit 31fdf9eb550e0f2e69fa1ba96a1d7d78b8d2e060
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Mar 5 20:39:33 2013 +0100

    Add initial systemd support

 configure.ac                     |  26 +-
 mate-session/Makefile.am         |   6 +-
 mate-session/gsm-logout-dialog.c |  60 ++-
 mate-session/gsm-manager.c       | 264 +++++++++++--
 mate-session/gsm-systemd.c       | 776 +++++++++++++++++++++++++++++++++++++++
 mate-session/gsm-systemd.h       | 104 ++++++
 mate-session/main.c              |  41 ++-
 7 files changed, 1238 insertions(+), 39 deletions(-)

commit 29e5cd2f28f6ddc253d393064c0b24130af0ee35
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Feb 8 00:00:28 2013 +0100

    Bump version to 1.5.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 093e12d2056f6030305b72230afcb64af182d752
Merge: 7fdd94d 7935b5b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Jan 28 01:11:42 2013 -0800

    Merge pull request #20 from bhull2010/master
    
    Fix gsettings schema path

commit 7935b5bfb81140c7f67e4dca17593a5c5c955e48
Author: Brent Hull <bhull2010@live.com>
Date:   Sun Jan 27 19:00:02 2013 -0500

    Fix deprecated gsettings schema path

 data/org.mate.session.gschema.xml.in.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7fdd94dea9631bfc93fc593d5a98d3b6568b7e62
Merge: e77126e 9f945b9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Dec 26 02:38:17 2012 -0800

    Merge pull request #17 from cygwinports/master
    
    Add mateconf-gsettings-data-convert file

commit 9f945b9a607dc972f67688ead16cc5c3c96e78ef
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Tue Dec 25 20:00:29 2012 -0600

    Add mateconf-gsettings-data-convert file

 data/Makefile.am          |  4 ++++
 data/mate-session.convert | 11 +++++++++++
 2 files changed, 15 insertions(+)

commit e77126e887b5742d646c23144cb46640d8479e26
Merge: c870279 ab54fb5
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Dec 3 05:18:09 2012 -0800

    Merge pull request #13 from leigh123linux/master
    
    Add autostart condition through GSettings

commit c870279717fd86fe4d51094f619f817322397440
Merge: 09388d8 c59c0b5
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Dec 1 03:42:54 2012 -0800

    Merge pull request #15 from maxiaojun/master
    
    Remove invalid GNOME addresses

commit c59c0b5a38464bd89bcfb3942ef963163bfe18e5
Author: Ma Xiaojun <damage3025@gmail.com>
Date:   Fri Nov 30 23:27:44 2012 -0600

    Remove invalid GNOME addresses

 README | 17 +++++------------
 1 file changed, 5 insertions(+), 12 deletions(-)

commit 09388d8e945ef0674bca82c5ba375d901b14e693
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Nov 26 21:23:39 2012 +0100

    fix screensaver gschema usage
    close https://github.com/mate-desktop/mate-desktop/issues/38

 mate-session/gsm-manager.c | 30 ++++++++++++++++++++++++++++--
 1 file changed, 28 insertions(+), 2 deletions(-)

commit ab54fb597daeeabde8ef7d2bcac259aa5769dc7b
Author: leigh123linux <leigh123linux@googlemail.com>
Date:   Sat Nov 24 10:40:19 2012 +0000

    Add autostart condition through GSettings

 mate-session/gsm-autostart-app.c | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

commit 08fded1464ec46772e5c7fc471ff2e3ad1f887bc
Merge: 6b16710 c0829ab
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Nov 15 01:45:05 2012 -0800

    Merge pull request #12 from sbalneav/master
    
    Remember running applications can now be disabled

commit c0829ab1e6b782149687faa75df1e1cf05bd7a66
Author: Scott Balneaves <sbalneav@ltsp.org>
Date:   Wed Nov 14 11:23:18 2012 -0600

    Possible patch for https://github.com/mate-desktop/mate-session-manager/issues/8

 mate-session/main.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 6b16710b19e25ddb05f5b99f48cd4bf03d46e56a
Merge: 933f891 dee0e9a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Nov 14 02:15:43 2012 -0800

    Merge pull request #11 from sbalneav/master
    
    All warnings fixed.  Clean compile.

commit dee0e9ab8f63d1b022a7ac011a921db48acc1cd7
Author: Scott Balneaves <sbalneav@alburg.net>
Date:   Tue Nov 13 21:44:26 2012 -0600

    Fix all compile warnings.

 capplet/gsm-app-dialog.c          |  9 +++++++--
 mate-session/gs-idle-monitor.c    | 10 +++++-----
 mate-session/gsm-autostart-app.c  |  8 +++++++-
 mate-session/gsm-consolekit.c     | 13 +++++++++++++
 mate-session/gsm-inhibit-dialog.c |  4 ++++
 mate-session/gsm-manager.c        | 23 +++++++++++++++--------
 mate-session/mdm-signal-handler.c |  8 +++++++-
 mate-session/test-client-dbus.c   |  8 +++++++-
 mate-session/test-inhibit.c       |  8 +++++++-
 9 files changed, 72 insertions(+), 19 deletions(-)

commit 933f891732a533179682015e1d194a40293f6c9b
Author: Nelson Marques <nmo.marques@gmail.com>
Date:   Thu Oct 18 16:39:23 2012 +0100

    remove MATE from Categories in .desktop files

 data/mate-session-properties.desktop.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ef40da1f11397acb11aca582115d8a9d43da3f40
Merge: b34dc27 6dea004
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Oct 12 12:21:49 2012 -0700

    Merge pull request #7 from NiceandGently/master
    
    incorrect FSF address

commit 6dea004c72dde549910cbbe27199eae1bbd6765b
Author: raveit65 <chat-to-me@raveit.de>
Date:   Fri Oct 12 20:31:14 2012 +0200

    fix incorrect FSF address

 capplet/gsm-app-dialog.c          | 2 +-
 capplet/gsm-app-dialog.h          | 2 +-
 capplet/gsm-properties-dialog.c   | 2 +-
 capplet/gsm-properties-dialog.h   | 2 +-
 capplet/gsp-app-manager.c         | 2 +-
 capplet/gsp-app-manager.h         | 2 +-
 capplet/gsp-app.c                 | 2 +-
 capplet/gsp-app.h                 | 2 +-
 capplet/gsp-keyfile.c             | 4 ++--
 capplet/gsp-keyfile.h             | 4 ++--
 capplet/main.c                    | 4 ++--
 egg/eggdesktopfile.c              | 4 ++--
 egg/eggdesktopfile.h              | 4 ++--
 egg/eggsmclient-private.h         | 4 ++--
 egg/eggsmclient-xsmp.c            | 4 ++--
 egg/eggsmclient.c                 | 4 ++--
 egg/eggsmclient.h                 | 4 ++--
 mate-session/gs-idle-monitor.c    | 2 +-
 mate-session/gs-idle-monitor.h    | 2 +-
 mate-session/gsm-app.c            | 4 ++--
 mate-session/gsm-app.h            | 4 ++--
 mate-session/gsm-autostart-app.c  | 4 ++--
 mate-session/gsm-autostart-app.h  | 4 ++--
 mate-session/gsm-client.c         | 4 ++--
 mate-session/gsm-client.h         | 4 ++--
 mate-session/gsm-consolekit.c     | 4 ++--
 mate-session/gsm-consolekit.h     | 4 ++--
 mate-session/gsm-dbus-client.c    | 4 ++--
 mate-session/gsm-dbus-client.h    | 4 ++--
 mate-session/gsm-inhibit-dialog.c | 2 +-
 mate-session/gsm-inhibit-dialog.h | 2 +-
 mate-session/gsm-inhibitor.c      | 4 ++--
 mate-session/gsm-inhibitor.h      | 4 ++--
 mate-session/gsm-logout-dialog.c  | 4 ++--
 mate-session/gsm-logout-dialog.h  | 4 ++--
 mate-session/gsm-manager.c        | 2 +-
 mate-session/gsm-manager.h        | 2 +-
 mate-session/gsm-presence.c       | 4 ++--
 mate-session/gsm-presence.h       | 4 ++--
 mate-session/gsm-session-save.c   | 4 ++--
 mate-session/gsm-session-save.h   | 4 ++--
 mate-session/gsm-store.c          | 2 +-
 mate-session/gsm-store.h          | 2 +-
 mate-session/gsm-util.c           | 4 ++--
 mate-session/gsm-util.h           | 4 ++--
 mate-session/gsm-xsmp-client.c    | 4 ++--
 mate-session/gsm-xsmp-client.h    | 4 ++--
 mate-session/gsm-xsmp-server.c    | 2 +-
 mate-session/gsm-xsmp-server.h    | 2 +-
 mate-session/main.c               | 4 ++--
 mate-session/mdm-log.c            | 2 +-
 mate-session/mdm-log.h            | 2 +-
 mate-session/mdm-signal-handler.c | 2 +-
 mate-session/mdm-signal-handler.h | 2 +-
 mate-session/mdm.c                | 4 ++--
 mate-session/mdm.h                | 4 ++--
 mate-session/test-client-dbus.c   | 4 ++--
 mate-session/test-inhibit.c       | 4 ++--
 tools/mate-session-save.c         | 4 ++--
 59 files changed, 96 insertions(+), 96 deletions(-)

commit b34dc27b7b191e56cbf640a963435d6e68982608
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Oct 2 20:05:07 2012 +0200

    migrate to gsettings

 NEWS                                    |   2 +
 capplet/gsm-properties-dialog.c         |  47 +++----
 capplet/main.c                          |   2 -
 configure.ac                            |  29 +----
 data/Makefile.am                        |  28 +----
 data/mate-session.schemas.in.in         | 101 ---------------
 data/org.mate.session.gschema.xml.in.in |  47 +++++++
 mate-session/Makefile.am                |   6 -
 mate-session/README                     |   2 +-
 mate-session/gsm-autostart-app.c        | 104 ++++++++-------
 mate-session/gsm-inhibit-dialog.c       |   2 -
 mate-session/gsm-manager.c              | 216 ++++++++------------------------
 mate-session/gsm-mateconf.c             | 143 ---------------------
 mate-session/gsm-mateconf.h             |  31 -----
 mate-session/main.c                     |  81 +++++-------
 po/POTFILES.in                          |   1 -
 16 files changed, 224 insertions(+), 618 deletions(-)

commit d564dd5d1416dde95fea79eef1a994bd3d1c7d3f
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Tue Jul 10 21:57:43 2012 -0400

    Preparing for 1.4 release.

 ChangeLog    | 107 +++++++++++++++++++++++++++++++++++++++++++++++++++++------
 configure.ac |   2 +-
 2 files changed, 97 insertions(+), 12 deletions(-)

commit 74c4f34a137c2cd2c76f0b2bed32bfb7060ca653
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jul 10 00:52:06 2012 +0200

    fix POTFILES.in

 po/POTFILES.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f586f849d6151ffde79c1f1b36c038a3916470dc
Merge: b96b613 a20404a
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jul 10 00:42:27 2012 +0200

    Merge branch 'master' of github.com:mate-desktop/mate-session-manager

commit b96b613c3ff317d6897dfc0228d5f91199b72f80
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jul 10 00:42:08 2012 +0200

    fix gettext package name

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0a7d818dcaef7400f07361a182f27c55f036a8d9
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Jul 10 00:41:42 2012 +0200

    add po gnome copyrights file

 po/gnome-copyrights.txt | 1324 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1324 insertions(+)

commit a20404af7c2ece049d9d423a89be7707a37cefa5
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Thu May 10 15:02:12 2012 -0400

    Revert "Preparing for 1.2.1 release."
    
    This reverts commit 973fb6b3aac7b37a741b21f3571be1dafaa0d7f4.

 ChangeLog    | 16 ----------------
 README       | 25 ++++++++++++++++++++-----
 configure.ac |  2 +-
 3 files changed, 21 insertions(+), 22 deletions(-)

commit 973fb6b3aac7b37a741b21f3571be1dafaa0d7f4
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Thu May 10 12:51:25 2012 -0400

    Preparing for 1.2.1 release.

 ChangeLog    | 16 ++++++++++++++++
 README       | 25 +++++--------------------
 configure.ac |  2 +-
 3 files changed, 22 insertions(+), 21 deletions(-)

commit d2717333e57bd8b2e8533d8c3de8ceb120830f6a
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Thu May 10 12:50:16 2012 -0400

    Fixed reboot/shutdown issue.

 mate-session/gsm-manager.c               | 42 ++++++++++++++++++++++++++++++++
 mate-session/gsm-manager.h               |  6 +++++
 mate-session/org.mate.SessionManager.xml | 16 ++++++++++++
 3 files changed, 64 insertions(+)

commit 22feb13f2d163436ab2c3af1b30823ddee6e43b5
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Thu Feb 23 21:31:13 2012 -0500

    Preparing for 1.2 release

 ChangeLog              | 431 +++++++++++++++++++++++++++++++++++++++++++++++++
 autogen.sh             |   4 +-
 configure.ac           |   2 +-
 distro/ubuntu/build    |  29 ----
 distro/ubuntu/postinst |  11 --
 distro/ubuntu/postrm   |   8 -
 distro/ubuntu/preinst  |   7 -
 distro/ubuntu/prerm    |  11 --
 8 files changed, 434 insertions(+), 69 deletions(-)

commit 838bbdba9b2581489b2e6b9b6265098dde1e312f
Author: Perberos <perberos@gmail.com>
Date:   Mon Jan 30 12:56:56 2012 -0300

    update version number on archlinux scripts

 distro/archlinux/PKGBUILD | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 624c3c083c0d2deb17711e1bf880d43e3c3f3435
Author: Perberos <perberos@gmail.com>
Date:   Mon Jan 30 12:56:46 2012 -0300

    GDK_DISPLAY() is deprecated

 mate-session/gs-idle-monitor.c    | 38 +++++++++++++++++++-------------------
 mate-session/gsm-inhibit-dialog.c | 16 ++++++++--------
 2 files changed, 27 insertions(+), 27 deletions(-)

commit 2509a50ebe4f3af9530d060a2ca1567cbc564445
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Jan 16 15:56:49 2012 +0100

    1.1.2 release

 HACKING                   | 13 ++++---------
 configure.ac              |  2 +-
 distro/archlinux/PKGBUILD |  2 +-
 distro/ubuntu/build       |  2 +-
 4 files changed, 7 insertions(+), 12 deletions(-)

commit 6cf79a41c3f1b419c403e556bf39c35e12c20e5c
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Jan 16 15:53:25 2012 +0100

    solved high cpu usage with compiz

 data/mate-wm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 2f5fa07da8e7ffd44fe55f853ac7d055a6f4caf0
Merge: 7ab49d8 2a6ebef
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Jan 15 13:34:10 2012 +0100

    Merge branch 'master' of github.com:mate-desktop/mate-session-manager

commit 7ab49d88c8b9712369aefcb5e3a1c39fd6434993
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Jan 15 13:33:36 2012 +0100

    update for 1.1.1 release

 AUTHORS                   | 4 +++-
 configure.ac              | 2 +-
 distro/archlinux/PKGBUILD | 2 +-
 distro/ubuntu/build       | 2 +-
 4 files changed, 6 insertions(+), 4 deletions(-)

commit d877420b26b2eff2d16306e5befd21fa093fa232
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Jan 15 13:33:10 2012 +0100

    switch user, use GDM if MDM not found (lightDM supports gdmflexiserver too)

 mate-session/gsm-manager.c | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 8a462f1358573ff538fb3795df12d6207d6474ac
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Jan 15 12:49:15 2012 +0100

    fix gettext package name

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2a6ebefbb2e692ddc353d6b508e2c98f4cd7874b
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Tue Jan 10 14:33:40 2012 -0500

    Changed mate.gr.jp to gnome.gr.jp as requested in Issue #86

 po/ja.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 7cda9aec7fc057788d480177011260e964b2b374
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat Dec 10 20:47:06 2011 +0100

    updated version to 1.1.0

 AUTHORS                   | 5 +++++
 configure.ac              | 2 +-
 distro/archlinux/PKGBUILD | 2 +-
 distro/ubuntu/build       | 2 +-
 4 files changed, 8 insertions(+), 3 deletions(-)

commit 363e46d68814c7b20b7f7ac5d17b59e4a644e9e5
Author: Perberos <perberos@gmail.com>
Date:   Sat Dec 3 20:19:34 2011 -0300

    removing autogenerated files

 m4/intltool.m4       |  216 --
 m4/libtool.m4        | 7831 --------------------------------------------------
 m4/ltoptions.m4      |  369 ---
 m4/ltsugar.m4        |  123 -
 m4/ltversion.m4      |   23 -
 m4/lt~obsolete.m4    |   98 -
 m4/mate-doc-utils.m4 |   56 -
 7 files changed, 8716 deletions(-)

commit 3e4256a425cb856b187ab45ee6395eb22e3a7459
Author: Perberos <perberos@gmail.com>
Date:   Sat Dec 3 20:15:19 2011 -0300

    removing autogenerated files

 INSTALL                         |  302 --
 Makefile.in                     |  824 ----
 aclocal.m4                      | 1892 --------
 capplet/Makefile.in             |  639 ---
 config.guess                    | 1511 ------
 config.h.in                     |  116 -
 config.sub                      | 1705 -------
 data/Makefile.in                |  850 ----
 data/icons/16x16/Makefile.in    |  497 --
 data/icons/22x22/Makefile.in    |  497 --
 data/icons/24x24/Makefile.in    |  495 --
 data/icons/32x32/Makefile.in    |  497 --
 data/icons/48x48/Makefile.in    |  495 --
 data/icons/Makefile.in          |  633 ---
 data/icons/scalable/Makefile.in |  495 --
 doc/Makefile.in                 |  633 ---
 doc/dbus/Makefile.in            |  528 ---
 doc/man/Makefile.in             |  521 ---
 egg/Makefile.in                 |  631 ---
 install-sh                      |  520 ---
 ltmain.sh                       | 9636 ---------------------------------------
 mate-doc-utils.make             |  655 ---
 mate-session/Makefile.in        | 1158 -----
 missing                         |  376 --
 mkinstalldirs                   |  162 -
 po/Makefile.in.in               |  217 -
 tools/Makefile.in               |  618 ---
 27 files changed, 27103 deletions(-)

commit 16704acc4fe3f80819106b03050cc8560775f313
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Fri Dec 2 20:11:07 2011 -0500

    Changed version to 2011.12.01

 configure.ac              | 2 +-
 distro/archlinux/PKGBUILD | 2 +-
 distro/ubuntu/build       | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 52d7aadcc57f3fa09653d315fc1a7fef52ae6bca
Author: Perberos <perberos@gmail.com>
Date:   Thu Dec 1 23:03:59 2011 -0300

    moving from https://github.com/perberos/mate-desktop-environment

 AUTHORS                                            |   22 +
 COPYING                                            |  339 +
 ChangeLog                                          |    1 +
 HACKING                                            |   31 +
 INSTALL                                            |  302 +
 MAINTAINERS                                        |   20 +
 Makefile.am                                        |   31 +
 Makefile.in                                        |  824 ++
 NEWS                                               |    1 +
 README                                             |   45 +
 aclocal.m4                                         | 1892 ++++
 autogen.sh                                         |   25 +
 capplet/Makefile.am                                |   33 +
 capplet/Makefile.in                                |  639 ++
 capplet/gsm-app-dialog.c                           |  544 ++
 capplet/gsm-app-dialog.h                           |   70 +
 capplet/gsm-properties-dialog.c                    |  819 ++
 capplet/gsm-properties-dialog.h                    |   61 +
 capplet/gsp-app-manager.c                          |  593 ++
 capplet/gsp-app-manager.h                          |   85 +
 capplet/gsp-app.c                                  | 1050 +++
 capplet/gsp-app.h                                  |  109 +
 capplet/gsp-keyfile.c                              |  149 +
 capplet/gsp-keyfile.h                              |   67 +
 capplet/main.c                                     |  102 +
 config.guess                                       | 1511 +++
 config.h.in                                        |  116 +
 config.sub                                         | 1705 ++++
 configure.ac                                       |  390 +
 data/Makefile.am                                   |   66 +
 data/Makefile.in                                   |  850 ++
 data/gsm-inhibit-dialog.ui                         |   60 +
 data/icons/16x16/Makefile.am                       |   23 +
 data/icons/16x16/Makefile.in                       |  497 +
 data/icons/16x16/mate-session-properties.png       |  Bin 0 -> 595 bytes
 data/icons/16x16/mate-session-properties.svg       |  394 +
 data/icons/22x22/Makefile.am                       |   23 +
 data/icons/22x22/Makefile.in                       |  497 +
 data/icons/22x22/mate-session-properties.png       |  Bin 0 -> 754 bytes
 data/icons/22x22/mate-session-properties.svg       |  440 +
 data/icons/24x24/Makefile.am                       |   21 +
 data/icons/24x24/Makefile.in                       |  495 +
 data/icons/24x24/mate-session-properties.png       |  Bin 0 -> 784 bytes
 data/icons/32x32/Makefile.am                       |   23 +
 data/icons/32x32/Makefile.in                       |  497 +
 data/icons/32x32/mate-session-properties.png       |  Bin 0 -> 1109 bytes
 data/icons/32x32/mate-session-properties.svg       |  490 +
 data/icons/48x48/Makefile.am                       |   21 +
 data/icons/48x48/Makefile.in                       |  495 +
 data/icons/48x48/mate-session-properties.png       |  Bin 0 -> 1839 bytes
 data/icons/Makefile.am                             |    3 +
 data/icons/Makefile.in                             |  633 ++
 data/icons/scalable/Makefile.am                    |   21 +
 data/icons/scalable/Makefile.in                    |  495 +
 data/icons/scalable/mate-session-properties.svg    |  515 ++
 data/mate-session-properties.desktop.in.in         |   14 +
 data/mate-session.schemas.in.in                    |  101 +
 data/mate-wm                                       |  160 +
 data/mate-wm.desktop.in.in                         |   12 +
 data/mate.desktop.in                               |    7 +
 data/session-properties.ui                         |  323 +
 depcomp                                            |  630 ++
 distro/archlinux/PKGBUILD                          |   38 +
 distro/archlinux/mate-session-manager.install      |   22 +
 distro/ubuntu/build                                |   29 +
 distro/ubuntu/postinst                             |   11 +
 distro/ubuntu/postrm                               |    8 +
 distro/ubuntu/preinst                              |    7 +
 distro/ubuntu/prerm                                |   11 +
 doc/Makefile.am                                    |    3 +
 doc/Makefile.in                                    |  633 ++
 doc/dbus/Makefile.am                               |   48 +
 doc/dbus/Makefile.in                               |  528 ++
 doc/dbus/config.xsl                                |    6 +
 doc/dbus/dbus-introspect-docs.dtd                  |   32 +
 doc/dbus/docbook.css                               |   78 +
 doc/dbus/mate-session.xml.in                       |   52 +
 doc/dbus/spec-to-docbook.xsl                       |  555 ++
 doc/man/Makefile.am                                |   10 +
 doc/man/Makefile.in                                |  521 ++
 doc/man/mate-session-properties.1                  |   24 +
 doc/man/mate-session-save.1                        |   40 +
 doc/man/mate-session.1                             |   79 +
 doc/man/mate-wm.1                                  |   51 +
 egg/Makefile.am                                    |   52 +
 egg/Makefile.in                                    |  631 ++
 egg/eggdesktopfile.c                               | 1499 +++
 egg/eggdesktopfile.h                               |  164 +
 egg/eggsmclient-private.h                          |   68 +
 egg/eggsmclient-xsmp.c                             | 1369 +++
 egg/eggsmclient.c                                  |  589 ++
 egg/eggsmclient.h                                  |  120 +
 install-sh                                         |  520 ++
 ltmain.sh                                          | 9636 ++++++++++++++++++++
 m4/intltool.m4                                     |  216 +
 m4/libtool.m4                                      | 7831 ++++++++++++++++
 m4/ltoptions.m4                                    |  369 +
 m4/ltsugar.m4                                      |  123 +
 m4/ltversion.m4                                    |   23 +
 m4/lt~obsolete.m4                                  |   98 +
 m4/mate-doc-utils.m4                               |   56 +
 mate-doc-utils.make                                |  655 ++
 mate-session/Makefile.am                           |  140 +
 mate-session/Makefile.in                           | 1158 +++
 mate-session/README                                |   65 +
 mate-session/gs-idle-monitor.c                     |  507 +
 mate-session/gs-idle-monitor.h                     |   75 +
 mate-session/gsm-app.c                             |  489 +
 mate-session/gsm-app.h                             |  136 +
 mate-session/gsm-autostart-app.c                   | 1144 +++
 mate-session/gsm-autostart-app.h                   |   78 +
 mate-session/gsm-client.c                          |  531 ++
 mate-session/gsm-client.h                          |  175 +
 mate-session/gsm-consolekit.c                      |  903 ++
 mate-session/gsm-consolekit.h                      |  105 +
 mate-session/gsm-dbus-client.c                     |  700 ++
 mate-session/gsm-dbus-client.h                     |   77 +
 mate-session/gsm-inhibit-dialog.c                  | 1164 +++
 mate-session/gsm-inhibit-dialog.h                  |   74 +
 mate-session/gsm-inhibitor.c                       |  605 ++
 mate-session/gsm-inhibitor.h                       |  120 +
 mate-session/gsm-logout-dialog.c                   |  461 +
 mate-session/gsm-logout-dialog.h                   |   77 +
 mate-session/gsm-manager.c                         | 3481 +++++++
 mate-session/gsm-manager.h                         |  190 +
 mate-session/gsm-marshal.list                      |    3 +
 mate-session/gsm-mateconf.c                        |  143 +
 mate-session/gsm-mateconf.h                        |   31 +
 mate-session/gsm-presence.c                        |  550 ++
 mate-session/gsm-presence.h                        |  100 +
 mate-session/gsm-session-save.c                    |  254 +
 mate-session/gsm-session-save.h                    |   38 +
 mate-session/gsm-store.c                           |  413 +
 mate-session/gsm-store.h                           |  101 +
 mate-session/gsm-util.c                            |  505 +
 mate-session/gsm-util.h                            |   56 +
 mate-session/gsm-xsmp-client.c                     | 1332 +++
 mate-session/gsm-xsmp-client.h                     |   93 +
 mate-session/gsm-xsmp-server.c                     |  732 ++
 mate-session/gsm-xsmp-server.h                     |   62 +
 mate-session/main.c                                |  543 ++
 mate-session/mdm-log.c                             |  206 +
 mate-session/mdm-log.h                             |   55 +
 mate-session/mdm-signal-handler.c                  |  553 ++
 mate-session/mdm-signal-handler.h                  |   78 +
 mate-session/mdm.c                                 |  496 +
 mate-session/mdm.h                                 |   58 +
 mate-session/org.mate.SessionManager.App.xml       |   43 +
 mate-session/org.mate.SessionManager.Client.xml    |   73 +
 .../org.mate.SessionManager.ClientPrivate.xml      |  123 +
 mate-session/org.mate.SessionManager.Inhibitor.xml |   66 +
 mate-session/org.mate.SessionManager.Presence.xml  |   95 +
 mate-session/org.mate.SessionManager.xml           |  377 +
 mate-session/test-client-dbus.c                    |  261 +
 mate-session/test-inhibit.c                        |  198 +
 missing                                            |  376 +
 mkinstalldirs                                      |  162 +
 po/LINGUAS                                         |  104 +
 po/Makefile.in.in                                  |  217 +
 po/POTFILES.in                                     |   23 +
 po/POTFILES.skip                                   |    6 +
 po/af.po                                           |  487 +
 po/am.po                                           |  485 +
 po/ar.po                                           |  596 ++
 po/as.po                                           |  579 ++
 po/ast.po                                          |  631 ++
 po/az.po                                           |  483 +
 po/be.po                                           |  958 ++
 po/be@latin.po                                     |  557 ++
 po/bg.po                                           |  505 +
 po/bn.po                                           |  552 ++
 po/bn_IN.po                                        |  502 +
 po/br.po                                           |  504 +
 po/bs.po                                           |  490 +
 po/ca.po                                           | 1090 +++
 po/ca@valencia.po                                  | 1093 +++
 po/crh.po                                          |  570 ++
 po/cs.po                                           |  505 +
 po/cy.po                                           |  521 ++
 po/da.po                                           |  605 ++
 po/de.po                                           |  986 ++
 po/dz.po                                           |  648 ++
 po/el.po                                           |  579 ++
 po/en@shaw.po                                      |  531 ++
 po/en_CA.po                                        |  656 ++
 po/en_GB.po                                        |  952 ++
 po/eo.po                                           |  592 ++
 po/es.po                                           |  630 ++
 po/et.po                                           |  403 +
 po/eu.po                                           |  548 ++
 po/fa.po                                           |  533 ++
 po/fi.po                                           |  587 ++
 po/fr.po                                           |  517 ++
 po/fur.po                                          |  669 ++
 po/fy.po                                           |  594 ++
 po/ga.po                                           |  530 ++
 po/gl.po                                           |  548 ++
 po/gu.po                                           |  535 ++
 po/ha.po                                           |  810 ++
 po/he.po                                           |  879 ++
 po/hi.po                                           |  568 ++
 po/hr.po                                           |  938 ++
 po/hu.po                                           |  505 +
 po/hy.po                                           |  491 +
 po/id.po                                           |  516 ++
 po/ig.po                                           |  800 ++
 po/is.po                                           |  491 +
 po/it.po                                           |  601 ++
 po/ja.po                                           |  568 ++
 po/ka.po                                           |  796 ++
 po/kn.po                                           |  681 ++
 po/ko.po                                           |  565 ++
 po/ku.po                                           |  878 ++
 po/lt.po                                           |  558 ++
 po/lv.po                                           |  564 ++
 po/mai.po                                          |  510 ++
 po/mg.po                                           |  487 +
 po/mi.po                                           |  458 +
 po/mk.po                                           |  589 ++
 po/ml.po                                           |  563 ++
 po/mn.po                                           |  495 +
 po/mr.po                                           |  522 ++
 po/ms.po                                           |  502 +
 po/nb.po                                           |  488 +
 po/nds.po                                          |  508 ++
 po/ne.po                                           |  628 ++
 po/nl.po                                           |  614 ++
 po/nn.po                                           | 1064 +++
 po/nso.po                                          |  496 +
 po/oc.po                                           |  657 ++
 po/or.po                                           |  537 ++
 po/pa.po                                           |  648 ++
 po/pl.po                                           |  506 +
 po/ps.po                                           |  548 ++
 po/pt.po                                           |  992 ++
 po/pt_BR.po                                        |  605 ++
 po/ro.po                                           |  543 ++
 po/ru.po                                           |  479 +
 po/rw.po                                           |  566 ++
 po/si.po                                           |  586 ++
 po/sk.po                                           |  911 ++
 po/sl.po                                           |  540 ++
 po/sq.po                                           |  646 ++
 po/sr.po                                           |  962 ++
 po/sr@latin.po                                     |  962 ++
 po/sv.po                                           |  558 ++
 po/ta.po                                           |  588 ++
 po/te.po                                           |  538 ++
 po/th.po                                           |  951 ++
 po/tk.po                                           |  458 +
 po/tr.po                                           |  903 ++
 po/ug.po                                           |  566 ++
 po/uk.po                                           |  580 ++
 po/uz.po                                           |  522 ++
 po/uz@cyrillic.po                                  |  522 ++
 po/vi.po                                           |  513 ++
 po/wa.po                                           |  498 +
 po/xh.po                                           |  500 +
 po/yo.po                                           |  802 ++
 po/zh_CN.po                                        |  582 ++
 po/zh_HK.po                                        |  932 ++
 po/zh_TW.po                                        |  940 ++
 po/zu.po                                           |  493 +
 tools/Makefile.am                                  |   22 +
 tools/Makefile.in                                  |  618 ++
 tools/mate-session-save.c                          |  320 +
 266 files changed, 132146 insertions(+)
